2020-08-07 02:06 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0006395Spring engineGeneralpublic2020-07-03 16:50
Reporterraaar 
Assigned ToKloot 
PriorityimmediateSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0006395: 104.0.1-1464-g4f428c8 | lobby message makes game crash
Descriptionmetal factions 1.35, a spectator sent a message that made everyone's game freeze. rejoining doesn't fix it.


the message corresponds to this url:
"""""
https://images-wixmp-ed30a86b8c4ca887773594c2.wixmp.com/f/d425eb02-4db3-4992-8931-317938cfe21f/d6u8lpa-a1535551-2eed-4fe1-b5f3-757ff1f2ecf6.jpg/v1/fill/w_1024,h_862,q_75,strp/ffvii_heavy_tank_by_fffanatic62583_d6u8lpa-fullview.jpg?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiJ1cm46YXBwOjdlMGQxODg5ODIyNjQzNzNhNWYwZDQxNWVhMGQyNmUwIiwiaXNzIjoidXJuOmFwcDo3ZTBkMTg4OTgyMjY0MzczYTVmMGQ0MTVlYTBkMjZlMCIsIm9iaiI6W1t7ImhlaWdodCI6Ijw9ODYyIiwicGF0aCI6IlwvZlwvZDQyNWViMDItNGRiMy00OTkyLTg5MzEtMzE3OTM4Y2ZlMjFmXC9kNnU4bHBhLWExNTM1NTUxLTJlZWQtNGZlMS1iNWYzLTc1N2ZmMWYyZWNmNi5qcGciLCJ3aWR0aCI6Ijw9MTAyNCJ9XV0sImF1ZCI6WyJ1cm46c2VydmljZTppbWFnZS5vcGVyYXRpb25zIl19.Njdz35463SL_EdwgwMW1EDruNELEwxOkpyWihQt-ofk
"""""
Steps To Reproduce[23:58:40] <ddaannnggeerr> for thet hird tie
[23:58:40] <lmao_who_netMan> Hi zoe
[23:58:42] <ddaannnggeerr> time
[23:58:42] <Shruggoth> Interesting.
[23:58:43] <ddaannnggeerr> https://images-wixmp-ed30a86b8c4ca887773594c2.wixmp.com/f/d425eb02-4db3-4992-8931-317938cfe21f/d6u8lpa-a1535551-2eed-4fe1-b5f3-757ff1f2ecf6.jpg/v1/fill/w_1024,h_862,q_75,strp/ffvii_heavy_tank_by_fffanatic62583_d6u8lpa-fullview.jpg?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiJ1cm46YXBwOjdlMGQxODg5ODIyNjQzNzNhNWYwZDQxNWVhMGQyNmUwIiwiaXNzIjoidXJuOmFwcDo3ZTBkMTg4OTgyMjY0MzczYTVmMGQ0MTVlYTBkMjZlMCIsIm9iaiI6W1t7ImhlaWdodCI6Ijw9ODYyIiwicGF0aCI6IlwvZlwvZDQyNWViMDItNGRiMy00OTkyLTg5MzEtMzE3OTM4Y2ZlMjFmXC9kNnU4bHBhLWExNTM1NTUxLTJlZWQtNGZlMS1iNWYzLTc1N2ZmMWYyZWNmNi5qcGciLCJ3aWR0aCI6Ijw9MTAyNCJ9XV0sImF1ZCI6WyJ1cm46c2VydmljZTppbWFnZS5vcGVyYXRpb25zIl19.Njdz35463SL_EdwgwMW1EDruNELEwxOkpyWihQt-ofk
[23:58:51] <Shruggoth> Do you see the image-link, raaar?
[23:58:53] <i76700HQ> hmm
[23:58:55] <raaar> not ingame
[23:58:56] <nebula3> <Shruggoth> does this go through from within game
[23:58:58] <raaar> but i do see the error
[23:59:00] <Shruggoth> it does. hmm
[23:59:05] <nebula3> <Shruggoth> test
[23:59:09] <Shruggoth> luaui reload doesn't fix it
[23:59:15] <raaar> lets try rejoining the game
[23:59:16] <Shruggoth> what if I restart
[23:59:18] <Shruggoth> ye
[23:59:25] ** qrtz joined the battle.
[23:59:25] * nebula3 * Hi qrtz (Experienced player), welcome to nebula3 (SPADS 0.12.6a, automated host).
[23:59:25] * nebula3 * For help, say "!help".
[23:59:25] * nebula3 * Want a quick game? Add MFAI bots and start! (currently for land maps only)
[23:59:25] * nebula3 * Type "!map <name>" to pick map. Check map list on www.metalfactions.pt/maps.html.
[23:59:25] * nebula3 * Type "!balance" to split players evenly between opposing teams.
[23:59:25] * nebula3 * For more information visit www.metalfactions.pt! Read the www.metalfactions.pt/instructions.html#10commandments.
[23:59:25] * nebula3 * Find other players on the "mf" chat channel or discord channel : https://discord.gg/GCRsXKd .
[23:59:25] * nebula3 *
[23:59:25] * nebula3 * Type "!promote" to call more players.
[23:59:27] <i76700HQ> ok
[23:59:28] <Shruggoth> nope
[23:59:30] <i76700HQ> i tried rejoining
[23:59:36] <i76700HQ> this time the error was "
[23:59:36] <qrtz> !status
[23:59:36] <lmao_who_netMan> k
[23:59:39] <Shruggoth> it gave me an error that was JUST "string"
[23:59:44] * Warning: user raaar got bonus 30
Additional Informationreplay in attachment
TagsNo tags attached.
Checked infolog.txt for ErrorsYes
Attached Files
  • ? file icon 20200516_235949_Highway 95 v5_104.0.1-1464-g4f428c8 maintenance.sdfz (14,940 bytes) 2020-05-17 01:07
  • txt file icon infolog_sp_1464_maintenance_msg_freeze_crash.txt (49,153 bytes) 2020-05-17 01:15 -
    [DataDirLocater::FindWriteableDataDir] using writeable data-directory "C:\Users\Rui\Documents\My Games\Spring\"
    Using writeable configuration source: "C:\Users\Rui\Documents\My Games\Spring\springsettings.cfg"
    Using additional read-only configuration source: "C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1464-g4f428c8 maintenance\springsettings.cfg"
    LogOutput initialized. Logging to C:\Users\Rui\Documents\My Games\Spring\infolog.txt
    ============== <Log Sections> ==============
      Available:
        ArchiveScanner
        AutohostInterface
        BumpWater
        CSMFGroundTextures
        CregSerializer
        DecalsDrawerGL4
        DynWater
        FarTextureHandler
        Font
        GameServer
        GroundMoveType
        KeyBindings
        LuaSocket
        Model
        Net
        Path
        Piece
        RoamMeshDrawer
        Shader
        SkyBox
        Sound
        Texture
        VFS
      Enabled:
        Sound (Notice)
        VFS (Info)
      
      Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    ============== </Log Sections> ==============
    
    ============== <User Config> ==============
      AdvSky = 1
      AllowDeferredMapRendering = 1
      AllowDeferredModelRendering = 1
      BumpWaterDepthBits = 16
      CamFreeScrollSpeed = 0
      CamMode = 1
      CamTimeExponent = 4.0
      CamTimeFactor = 1.0
      FPSFOV = 90
      GrassDetail = 0
      GroundDecals = 1
      GroundDetail = 140
      GroundScarAlphaFade = 1
      GuiOpacity = 1
      HangTimeout = 0
      HardwareCursor = 1
      InitialNetworkTimeout = 0
      InputTextGeo = 0.26 0.73 0.02 0.028
      InvertMouse = 1
      LODScale = 1.000
      LODScaleReflection = 1.000
      LODScaleRefraction = 1.000
      LODScaleShadow = 1.000
      LastSelectedMap = Tropical-v2
      LastSelectedMod = Metal Factions v0.985
      LastSelectedScript = MFAI : brutal
      LastSelectedSetting = MaxParticles
      MSAALevel = 2
      MaxDynamicMapLights = 0
      MaxDynamicModelLights = 0
      MaxNanoParticles = 10000
      MaxParticles = 20000
      MaximumTransmissionUnit = 0
      MiddleClickScrollSpeed = -0.005
      MouseDragCircleCommandThreshold = 25
      MouseDragScrollThreshold = 0
      ReconnectTimeout = 0
      RotateLogFiles = 1
      ScreenshotCounter = 2289
      ScrollWheelSpeed = -25
      ShowClock = 0
      ShowPlayerInfo = 0
      SpringData = C:/Users/Rui/Documents/My Games/Spring;
      TeamHighlight = 0
      UnitIconDist = 120
      UnitLodDist = 10000
      VSync = -1
      Water = 4
      WindowPosX = 0
      WindowPosY = 23
      WorkerThreadCount = 1
      XResolutionWindowed = 1280
      YResolutionWindowed = 961
      snd_airAbsorption = 0
      snd_volmaster = 40
      snd_volmusic = 20
    ============== </User Config> ==============
    
    ============== <User System> ==============
      Spring Engine Version: 104.0.1-1464-g4f428c8 maintenance
          Build Environment: gcc libstdc++ version 20171010
           Compiler Version: gcc-5.5.0
           Operating System: Windows 8.1 Home Premium Edition, 64-bit (build 9600)
            Hardware Config: Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz; 8143MB RAM, 12751MB pagefile
           Binary Word Size: 32-bit (emulated)
              Process Clock: std::chrono::high_resolution_clock
         Physical CPU Cores: 4
          Logical CPU Cores: 8
    ============== </User System> ==============
    
    [good_fpu_init][STREFLOP_SSE]
    	SSE 1.0 : 1,  SSE 2.0 : 1
    	SSE 3.0 : 1, SSSE 3.0 : 1
    	SSE 4.1 : 1,  SSE 4.2 : 1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    [WatchDog::Install] disabled
    [WatchDog::RegisterThread] registering controls for thread [main]
    [GL::CheckAvailableVideoModes] desktop={1920x1080x24bpp@60Hz} current={1920x1080x24bpp@60Hz}
    	display=1 modes=32 bounds={x=0, y=0, w=1920, h=1080}
    		[ 1] 1920x1080x24bpp@60Hz
    		[ 7] 1680x1050x24bpp@60Hz
    		[ 9] 1600x1024x24bpp@60Hz
    		[11] 1600x900x24bpp@60Hz
    		[12] 1440x900x24bpp@60Hz
    		[17] 1280x800x24bpp@60Hz
    		[19] 1280x720x24bpp@60Hz
    [GR::CreateSDLWindow] using 2x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for main window
    [GR::CreateSDLWindow] using 2x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for hidden window
    [GR::LogVersionInfo]
    	SDL version : 2.0.8 (linked) / 2.0.8 (compiled)
    	GL version  : 4.5.0 NVIDIA 385.69
    	GL vendor   : NVIDIA Corporation
    	GL renderer : GeForce GT 640/PCIe/SSE2
    	GLSL version: 4.50 NVIDIA
    	GLEW version: 2.1.0
    	GPU memory  : 3072MB (total) / 2039MB (available)
    	SDL swap-int: 1
    	
    	ARB shader support        : 1
    	GLSL shader support       : 1
    	FBO extension support     : 1
    	NVX GPU mem-info support  : 1
    	ATI GPU mem-info support  : 0
    	NPOT-texture support      : 1 (1)
    	S3TC/DXT1 texture support : 1/1
    	texture query-LOD support : 1 (1)
    	MSAA frame-buffer support : 1 (1)
    	24-bit Z-buffer support   : 1 (-)
    	primitive-restart support : 1 (1)
    	clip-space control support: 1 (1)
    	seamless cube-map support : 1 (1)
    	frag-depth layout support : 1 (-)
    	
    	max. FBO samples             : 32
    	max. texture size            : 16384
    	max. texture anisotropy level: 16.000000
    	max. vec4 varyings/attributes: 31/16
    	max. draw-buffers            : 8
    	max. rec. indices/vertices   : 1048576/1048576
    	max. uniform buffer-bindings : 84
    	max. uniform block-size      : 64KB
    	
    	enable ATI-hacks : 0
    	compress MIP-maps: 0
    [GR::ToggleGLDebugOutput] OpenGL debug-context not installed (dbgErrors=0 dbgTraces=0)
    [GR::UpdateGLConfigs]
    [VSync::SetInterval] interval=-1 (adaptive)
    [GR::UpdateGLGeometry][1] winSize=<1,1>
    [GR::UpdateGLGeometry][2] winSize=<1920,1080>
    [GR::InitGLState]
    [GR::LogDisplayMode] display-mode set to 1920x1080x24bpp@60Hz (fullscreen::decorated)
    [TexMemPool::Resize] poolSize=134217728u allocSize=0u texCount=0u
    [~ScopedOnceTimer][FtLibraryHandler::FontConfigInit (version 2.10.2)] 0ms
    [ThreadPool::SetThreadCount][1] wanted=4 current=1 maximum=4 (init=1)
    [ThreadPool::SetThreadCount][2] workers=3
    [WatchDog::RegisterThread] registering controls for thread [vfsi]
    [DataDirLocater::FindWriteableDataDir] using writeable data-directory "C:\Users\Rui\Documents\My Games\Spring\"
    [DataDirLocater::Check] Portable Mode!
    [DataDirLocater::FilterUsableDataDirs] using read-write data directory: C:\Users\Rui\Documents\My Games\Spring\
    [DataDirLocater::FilterUsableDataDirs] using read-only data directory: C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1464-g4f428c8 maintenance\
    Scanning: C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1464-g4f428c8 maintenance\base
    Scanning: C:\Users\Rui\Documents\My Games\Spring\maps
    Scanning: C:\Users\Rui\Documents\My Games\Spring\games
    Scanning: C:\Users\Rui\Documents\My Games\Spring\packages
    [~ScopedOnceTimer][CArchiveScanner::ScanAllDirs] 2843ms
    [VFS] [SpringVFS::ReserveArchives<this=05791f30>]
    [VFS] [SpringVFS::AddArchive<this=05791f30>(arName="Spring content v1", overwrite=false)] section=2 cached=0
    [VFS] [VFSHandler::SetGlobalInstanceRaw] handler=05791f30 (SpringVFS) global=00000000 (null)
    [WatchDog::DeregisterThread] deregistering controls for thread [vfsi]
    [ThreadPool::SetThreadCount][1] wanted=1 current=4 maximum=4 (init=0)
    	[async=0] threads=4 tasks=9 {sum,avg}{exec,wait}time={{-26815615859885194199148049996411692254958731641184786755447122887443528060147093953603748596333806855380063716372972101707507765623893139892867298012168192.000, 26815622264161705273573976025268090630956399418538484579837490676016357152839989359312727903640337473075309472332825258332236328771995988250468016770252800.000}, {0.000, 0.000}}ms
    		thread=1 tasks=3 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, -0.000, 0.000}, {0.000, 0.000, 0.000, 0.000}}ms
    		thread=2 tasks=3 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, -0.000, -0.000}, {0.000, 0.000, 0.000, 26815622246982728145668155403159624411776993202816586647978097545278667453657671578844207362480093723284636709378873176105458209710451379716699034681868288.000}}ms
    		thread=3 tasks=3 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, -0.000, -0.000}, {0.000, 0.000, 0.000, 26815622246982728145668155403159624411776993202816586647978097545278667453657671578844207362480093723284636709378873176105458209710451379716699034681868288.000}}ms
    	[async=1] threads=4 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [ThreadPool::SetThreadCount][2] workers=0
    [Threading] Main thread CPU affinity mask set: 255
    [f=-000001] [~ScopedOnceTimer][ISound::Init::New] 0ms
    [f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (1.0ms)
    [f=-000001] [Sound] [Sound::UpdateThread][1] cfgMaxSounds=128
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [audio]
    [f=-000001] [Sound] [Sound::InitThread][1]
    [f=-000001] [Sound] [Sound::OpenOpenALDevice] opening default device "OpenAL Soft"
    [f=-000001] [Sound] [Sound::OpenOpenALDevice] device=059145a0 context=05790c60
    [f=-000001] [Sound] [Sound::InitThread][4][OpenAL API Info]
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound]   Devices:
    [f=-000001] [Sound]     [Speakers (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Realtek Digital Output(Optical) (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Speakers (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Realtek Digital Output (Realtek High Definition Audio)]
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] #attribs=15
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] {cfg,alc}MaxSounds={128,255}
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound] [Sound::UpdateThread][2]
    [f=-000001] [~ScopedOnceTimer][ISound::Init::Dev] 101ms
    [f=-000001] [StartScript] Loading StartScript from: C:\Users\Rui\AppData\Roaming\springlobby\script.txt
    [f=-000001] [CPreGame] using client IP 91.186.9.239 and port 8456
    [f=-000001] [NetProto::InitClient] connecting to IP 91.186.9.239 on port 8456 using name raaar
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=1
    [f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
    [f=-000001] [~ScopedOnceTimer][FBO::GLContextReinit] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][1] fullScreen=1
    [f=-000001] [GR::UpdateGLConfigs]
    [f=-000001] [GR::UpdateGLGeometry][1] winSize=<1920,1080>
    [f=-000001] [GR::UpdateGLGeometry][2] winSize=<1920,1080>
    [f=-000001] [GR::InitGLState]
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1920x1080x24bpp@60Hz (fullscreen::decorated)
    [f=-000001] [~ScopedOnceTimer][GlobalRendering::UpdateGL] 0ms
    [f=-000001] [~ScopedOnceTimer][ActiveController::ResizeEvent] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][1] fullScreen=1
    [f=-000001] [GR::UpdateGLConfigs]
    [f=-000001] [GR::UpdateGLGeometry][1] winSize=<1920,1080>
    [f=-000001] [GR::UpdateGLGeometry][2] winSize=<1920,1080>
    [f=-000001] [GR::InitGLState]
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1920x1080x24bpp@60Hz (fullscreen::decorated)
    [f=-000001] [~ScopedOnceTimer][GlobalRendering::UpdateGL] 0ms
    [f=-000001] [~ScopedOnceTimer][ActiveController::ResizeEvent] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=1
    [f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
    [f=-000001] [~ScopedOnceTimer][FBO::GLContextReinit] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]
    
    [f=-000001] Error: 	[ProcessRawPacket] discarding incoming invalid packet: ID 110, LEN -2
    [f=-000001] [PreGame::AddMapArchivesToVFS][server=00000000] using map "Highway 95 v5" (loaded=0 cached=0)
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=05791f30>(arName="Highway 95 v5", overwrite=false)] section=1 cached=0
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=05791f30>(arName="Map Helper v1", overwrite=false)] section=2 cached=0
    [f=-000001] [PreGame::AddModArchivesToVFS][server=00000000] using game "Metal Factions v1.35" (loaded=0 cached=0)
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=05791f30>(arName="Metal Factions v1.35", overwrite=false)] section=0 cached=0
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=05791f30>(arName="Spring content v1", overwrite=false)] section=2 cached=0
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=05791f30>(arName="Spring Bitmaps", overwrite=false)] section=2 cached=0
    [f=-000001] [PreGame::GameDataReceived] recording demo to "C:\Users\Rui\Documents\My Games\Spring\demos\20200516_235949_Highway 95 v5_104.0.1-1464-g4f428c8 maintenance.sdfz"
    [f=-000001] [~ScopedOnceTimer][PreGame::GameDataReceived] 79ms
    [f=-000001] [PreGame::UpdateClientNet] received local player number 2 (team 2, allyteam 1), creating LoadScreen
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/systemaddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/systemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [LoadScreen::Init] single-threaded
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [load]
    [f=-000001] [Game::Load][1] globalQuit=0 threaded=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Parsing Map Information"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading SMF"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Map (68 MB)"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading GameData Definitions"
    [f=-000001] [~ScopedOnceTimer][[defs.lua] loading all *Defs tables:] 386ms
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (GameData)] 438ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Radar Icons"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Sound Definitions"
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 7 sounds from gamedata/sounds.lua
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (Sound)] 1ms
    [f=-000001] [Game::Load][2] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Smooth Height Mesh"
    [f=-000001] [~ScopedOnceTimer][SmoothHeightMesh::MakeSmoothMesh] 62ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating QuadField & CEGs"
    [f=-000001] [Init] number of ArmorDefs: 4
    [f=-000001] [RegisterModelFormats] supported (Assimp) model formats: *.3ds;*.blend;*.dae;*.lwo;*.obj;
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Unit Textures"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Sky"
    [f=-000001] [Game::Load][3] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Weapon Definitions"
    [f=-000001] Warning: WeaponDefs: Unknown tag "toairweapon" in "sphere_twilight_aabomb"
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (WeaponDefs)] 386ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Unit Definitions"
    [f=-000001] Warning: [GetCategory] too many unit categories (32), skipping level10
    [f=-000001] Warning: [GetCategory] too many unit categories (33), skipping upgrade_blue
    [f=-000001] Warning: [GetCategory] too many unit categories (34), skipping upgrade_green
    [f=-000001] Warning: [GetCategory] too many unit categories (35), skipping upgrade_red
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (UnitDefs)] 78ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Feature Definitions"
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (FeatureDefs)] 25ms
    [f=-000001] [IPathManager::GetInstance] using HAPFS
    [f=-000001] [LoadScreen::SetLoadMessage] text="Initializing Map Features"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating ShadowHandler"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating InfoTextureHandler"
    [f=-000001] InfoTexture: shaders
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating GroundDrawer"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Map Tiles"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Square Textures"
    [f=-000001] [~ScopedOnceTimer][CSMFGroundTextures::ConvolveHeightMap] 2ms
    [f=-000001] Switching to ROAM Mesh Rendering
    [f=-000001] [TriNodePool::InitPools] newPoolSize=1048576 thrPoolSize=349525 (numThreads=4 shadowPass=0)
    [f=-000001] [TriNodePool::InitPools] newPoolSize=1048576 thrPoolSize=349525 (numThreads=4 shadowPass=1)
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating TreeDrawer"
    [f=-000001] Loaded DecalsDrawer: Legacy
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating ProjectileDrawer & UnitDrawer"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Projectile Textures"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Water"
    [f=-000001] [Game::Load][4] globalQuit=0 forcedQuit=0
    [f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Console)] 18ms
    [f=-000001] [Game::LoadLua] Lua developer mode disabled
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaRules"
    [f=-000001] [~ScopedOnceTimer][creg::AutoRegisterCFunctions(LuaRules)] 58ms
    [f=-000001] Loaded SYNCED gadget:  CobButton           <unit_cobbutton.lua>
    [f=-000001] Loaded SYNCED gadget:  Map Lua Metal Spot Placer  <map_lua_metal_spots.lua>
    [f=-000001] Loaded SYNCED gadget:  Lua Metal Spot Placer  <lua_metal_spots.lua>
    [f=-000001] Loaded SYNCED gadget:  Metal Extractor Radius Gadget  <unit_mex_radius.lua>
    [f=-000001] 55 metal spots found!
    [f=-000001] 1 geothermal spots found!
    [f=-000001] Loaded SYNCED gadget:  Resource Spot Tracker  <resource_spot_tracker.lua>
    [f=-000001] Loaded SYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded SYNCED gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded SYNCED gadget:  Base Income         <base_income.lua>
    [f=-000001] Loaded SYNCED gadget:  Commander Handler   <commanders.lua>
    [f=-000001] Loaded SYNCED gadget:  DirectControl       <unit_direct_control.lua>
    [f=-000001] Loaded SYNCED gadget:  Disable Buildoptions  <unit_disable_buildoptions.lua>
    [f=-000001] Loaded SYNCED gadget:  Drone Handler       <unit_drones.lua>
    [f=-000001] Loaded SYNCED gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=-000001] Loaded SYNCED gadget:  Feature Enlarger    <feature_enlarger.lua>
    [f=-000001] Loaded SYNCED gadget:  Game End            <game_end.lua>
    [f=-000001] Loaded SYNCED gadget:  Handles damage mitigation and shield related stuff  <unit_shields_damage.lua>
    [f=-000001] Loaded SYNCED gadget:  Map speed modifier disabler  <map_terrain_type_override.lua>
    [f=-000001] Loaded SYNCED gadget:  Projectile Handler Gadget  <projectile_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Shield Sharing      <unit_shield_sharing.lua>
    [f=-000001] Loaded SYNCED gadget:  Surrenderer         <surrender.lua>
    [f=-000001] Loaded SYNCED gadget:  Upgrade Handler     <upgrades.lua>
    [f=-000001] Loaded SYNCED gadget:  Walls               <unit_walls.lua>
    [f=-000001] Loaded SYNCED gadget:  Wind Generator Gadget  <unit_wind_generators.lua>
    [f=-000001] Loaded SYNCED gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=-000001] Loaded SYNCED gadget:  Area Buff Handler   <unit_area_buff_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Physics Handler     <unit_physics_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=-000001] Loaded SYNCED gadget:  Weapon Aim Handler Gadget  <unit_weapon_aim_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Cob Call Handler    <unit_cob_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Rocket Platform Pad Selector  <unit_rocket_platforms.lua>
    [f=-000001] Loaded SYNCED gadget:  UnitEStallDisable   <unit_estall_disable.lua>
    [f=-000001] Loaded SYNCED gadget:  Area Attack         <areaattack.lua>
    [f=-000001] Loaded SYNCED gadget:  Attack Safety distance setter  <unit_atk_safety_distance.lua>
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 2 sounds from LuaRules/Configs/sound_defs.lua
    [f=-000001] Loaded SYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=-000001] Loaded SYNCED gadget:  Unit Build Priority Handler  <unit_build_priority.lua>
    [f=-000001] Loaded SYNCED gadget:  Unit Hit-n-Run Handler  <unit_hit_run.lua>
    [f=-000001] Loaded SYNCED gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded SYNCED gadget:  Ground decal removal  <unit_water_remove_decal.lua>
    [f=-000001] Loaded SYNCED gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded SYNCED gadget:  Weapon Reaim Time   <weapon_reaim_time.lua>
    [f=-000001] [Sound] Warning: [LoadSoundDefsImpl] sound LuaRules/Configs/sound_defs.lua overwrites featurecrush
    [f=-000001] [Sound] Warning: [LoadSoundDefsImpl] sound LuaRules/Configs/sound_defs.lua overwrites genericcmd
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 2 sounds from LuaRules/Configs/sound_defs.lua
    [f=-000001] Loaded SYNCED gadget:  Metal Extractor Handler Gadget  <unit_mex_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Engine compatibility  <engine_compatibility.lua>
    [f=-000001] Loaded SYNCED gadget:  MFAI                <ailoader.lua>
    [f=-000001] Loaded SYNCED gadget:  Spawn               <game_start.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Metal Extractor Radius Gadget  <unit_mex_radius.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Resource Spot Tracker  <resource_spot_tracker.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Base Income         <base_income.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Drone Handler       <unit_drones.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Feature Enlarger    <feature_enlarger.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Handles damage mitigation and shield related stuff  <unit_shields_damage.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Shield Sharing      <unit_shield_sharing.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Walls               <unit_walls.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Wind Generator Gadget  <unit_wind_generators.lua>
    [f=-000001] Loaded UNSYNCED gadget:  lua_metal_spots.lua  <lua_metal_spots.lua>
    [f=-000001] Loaded UNSYNCED gadget:  map_lua_metal_spots.lua  <map_lua_metal_spots.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Area Buff Handler   <unit_area_buff_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Physics Handler     <unit_physics_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Cob Call Handler    <unit_cob_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Rocket Platform Pad Selector  <unit_rocket_platforms.lua>
    [f=-000001] Loaded UNSYNCED gadget:  UnitEStallDisable   <unit_estall_disable.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Area Attack         <areaattack.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Attack Safety distance setter  <unit_atk_safety_distance.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Ground decal removal  <unit_water_remove_decal.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Metal Extractor Handler Gadget  <unit_mex_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lups                <lups_wrapper.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Engine compatibility  <engine_compatibility.lua>
    [f=-000001] Loaded UNSYNCED gadget:  MFAI                <ailoader.lua>
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaGaia"
    [f=-000001] [~ScopedOnceTimer][creg::AutoRegisterCFunctions(LuaGaia)] 60ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaUI"
    [f=-000001] LuaUI Entry Point: "luaui.lua"
    [f=-000001] LuaSocket Support: enabled
    [f=-000001] Using LUAUI_DIRNAME = LuaUI/
    [f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=-000001] LuaUI: bound F11 to the widget selector
    [f=-000001] LuaUI: bound CTRL+F11 to tweak mode
    [f=-000001] Loaded local team color config.
    [f=-000001] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=-000001] small digital clock is disabled!
    [f=-000001] frames-per-second indicator is disabled!
    [f=-000001] simulation speed indicator is disabled!
    [f=-000001] Set UnitIconDist to 120
    [f=-000001] GroundDetail set to 140
    [f=-000001] Hardware mouse-cursor is enabled!
    [f=-000001] VIEWPORT SX=1 SY=1
    [f=-000001] [Sound] Warning: [LoadSoundDefsImpl] sound LuaRules/Configs/sound_defs.lua overwrites featurecrush
    [f=-000001] [Sound] Warning: [LoadSoundDefsImpl] sound LuaRules/Configs/sound_defs.lua overwrites genericcmd
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 2 sounds from LuaRules/Configs/sound_defs.lua
    [f=-000001] LuaUI v0.3
    [f=-000001] [Game::Load][5] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="[LoadFinalize] finalizing PFS"
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] BLOCK_SIZE=16
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] PATHESTIMATOR_VERSION=100
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] heightMapChecksum=1d66cbd6
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] typeMapChecksum=99efb6d9
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] moveDefChecksum=a1d916f1
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] blockMapChecksum=29a
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] estimatorHashCode=592f9cae
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=592f9cae file="cache\104dev-maintenance/paths/Highway 95 v5.pe-592f9cae.zip" (exists=1)
    [f=-000001] [LoadScreen::SetLoadMessage] text="Reading Estimate PathCosts [16]"
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] BLOCK_SIZE=32
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] PATHESTIMATOR_VERSION=100
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] heightMapChecksum=1d66cbd6
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] typeMapChecksum=99efb6d9
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] moveDefChecksum=a1d916f1
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] blockMapChecksum=29a
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] estimatorHashCode=592f9cbe
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=592f9cbe file="cache\104dev-maintenance/paths/Highway 95 v5.pe2-592f9cbe.zip" (exists=1)
    [f=-000001] [LoadScreen::SetLoadMessage] text="Reading Estimate PathCosts [32]"
    [f=-000001] [LoadScreen::SetLoadMessage] text="[LoadFinalize] finalized PFS (265ms, checksum 8730957d)"
    [f=-000001] [Game::Load][6] globalQuit=0 forcedQuit=0
    [f=-000001] [LuaMemPool::LogStats][handle=LuaIntro (unsynced)] index=1 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,19814,0} {chunk,block}Bytes={0,0}
    [f=-000001] view resized from 1920*1080 to 1920*1080 edown=false eleft=false
    [f=-000001] GameID: 256fc05edda69d2ad60d4930872bd533
    [f=-000001] Connection attempt from lmao_who_netMan
    [f=-000001]  -> Version: 104.0.1-1464-g4f428c8 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 1)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[PreGame::GameDataReceived][map-checksums]
    	server=70ad9bcd35428168359695ccf3167cb8f9d3b95e91c6614c71d13c369d8e93b6e09af64ac1445a7d7e79fe697d3e329266a8b6cec5a135132e27807569d08123
    	client=70ad9bcd35428168359695ccf3167cb8f9d3b95e91c6614c71d13c369d8e93b6e09af64ac1445a7d7e79fe697d3e329266a8b6cec5a135132e27807569d08123"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] Connection attempt from ddaannnggeerr
    [f=-000001]  -> Version: 104.0.1-1464-g4f428c8 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 0)
    [f=-000001] Connection attempt from i76700HQ
    [f=-000001]  -> Version: 104.0.1-1464-g4f428c8 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 3)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[PreGame::GameDataReceived][map-checksums]
    	server=70ad9bcd35428168359695ccf3167cb8f9d3b95e91c6614c71d13c369d8e93b6e09af64ac1445a7d7e79fe697d3e329266a8b6cec5a135132e27807569d08123
    	client=70ad9bcd35428168359695ccf3167cb8f9d3b95e91c6614c71d13c369d8e93b6e09af64ac1445a7d7e79fe697d3e329266a8b6cec5a135132e27807569d08123"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] Connection attempt from netWoman
    [f=-000001]  -> Version: 104.0.1-1464-g4f428c8 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 4)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[PreGame::GameDataReceived][map-checksums]
    	server=70ad9bcd35428168359695ccf3167cb8f9d3b95e91c6614c71d13c369d8e93b6e09af64ac1445a7d7e79fe697d3e329266a8b6cec5a135132e27807569d08123
    	client=70ad9bcd35428168359695ccf3167cb8f9d3b95e91c6614c71d13c369d8e93b6e09af64ac1445a7d7e79fe697d3e329266a8b6cec5a135132e27807569d08123"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="netWoman" string="[PreGame::GameDataReceived][map-checksums]
    	server=70ad9bcd35428168359695ccf3167cb8f9d3b95e91c6614c71d13c369d8e93b6e09af64ac1445a7d7e79fe697d3e329266a8b6cec5a135132e27807569d08123
    	client=70ad9bcd35428168359695ccf3167cb8f9d3b95e91c6614c71d13c369d8e93b6e09af64ac1445a7d7e79fe697d3e329266a8b6cec5a135132e27807569d08123"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="netWoman" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] Connection attempt from raaar
    [f=-000001]  -> Version: 104.0.1-1464-g4f428c8 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 2)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PreGame::GameDataReceived][map-checksums]
    	server=70ad9bcd35428168359695ccf3167cb8f9d3b95e91c6614c71d13c369d8e93b6e09af64ac1445a7d7e79fe697d3e329266a8b6cec5a135132e27807569d08123
    	client=70ad9bcd35428168359695ccf3167cb8f9d3b95e91c6614c71d13c369d8e93b6e09af64ac1445a7d7e79fe697d3e329266a8b6cec5a135132e27807569d08123"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=299d4009c8089a7ea7b8162f024f37ccfbf7ddd6d6d9f9a3b77871cdbcd533395661570f8c7d456f012079d588092e1b618f81336fd52d258e1d9841e02c7ef7]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=299d4009c8089a7ea7b8162f024f37ccfbf7ddd6d6d9f9a3b77871cdbcd533395661570f8c7d456f012079d588092e1b618f81336fd52d258e1d9841e02c7ef7]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=5d93557468d982a901f1b41f3e432af40fd52fd8fd25965ffe54c40a0fdd6b898a7dd4e6189b256e9e5658ee7a6a89e578dfad385cd0e11bb43d6e7375222b4a]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[Game::Load][lua{Rules,Gaia}={33673328,39c23800}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="netWoman" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=299d4009c8089a7ea7b8162f024f37ccfbf7ddd6d6d9f9a3b77871cdbcd533395661570f8c7d456f012079d588092e1b618f81336fd52d258e1d9841e02c7ef7]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=5d93557468d982a901f1b41f3e432af40fd52fd8fd25965ffe54c40a0fdd6b898a7dd4e6189b256e9e5658ee7a6a89e578dfad385cd0e11bb43d6e7375222b4a]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[Game::Load][lua{Rules,Gaia}={3b400de0,3deca4d8}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=299d4009c8089a7ea7b8162f024f37ccfbf7ddd6d6d9f9a3b77871cdbcd533395661570f8c7d456f012079d588092e1b618f81336fd52d258e1d9841e02c7ef7]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=299d4009c8089a7ea7b8162f024f37ccfbf7ddd6d6d9f9a3b77871cdbcd533395661570f8c7d456f012079d588092e1b618f81336fd52d258e1d9841e02c7ef7]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=5d93557468d982a901f1b41f3e432af40fd52fd8fd25965ffe54c40a0fdd6b898a7dd4e6189b256e9e5658ee7a6a89e578dfad385cd0e11bb43d6e7375222b4a]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[Game::Load][lua{Rules,Gaia}={328a48e8,34f36bd8}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="netWoman" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=5d93557468d982a901f1b41f3e432af40fd52fd8fd25965ffe54c40a0fdd6b898a7dd4e6189b256e9e5658ee7a6a89e578dfad385cd0e11bb43d6e7375222b4a]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="netWoman" string="[Game::Load][lua{Rules,Gaia}={2bf59ac8,3128ee88}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=5d93557468d982a901f1b41f3e432af40fd52fd8fd25965ffe54c40a0fdd6b898a7dd4e6189b256e9e5658ee7a6a89e578dfad385cd0e11bb43d6e7375222b4a]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[Game::Load][lua{Rules,Gaia}={37fa7fd0,3b3e2728}]"
    [f=-000001] [i76700HQ] ready up
    [f=-000001] [i76700HQ] I am going to as older internet users say
    [f=-000001] [i76700HQ] set us up the bomb
    [f=-000001] <lmao_who_netMan> Alright guys put on your aluminum hats
    [f=-000001] [i76700HQ] wait
    [f=-000001] [i76700HQ] maybe raar wants the honors
    [f=-000001] Connection attempt from Shruggoth
    [f=-000001]  -> Version: 104.0.1-1464-g4f428c8 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 5)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[PreGame::GameDataReceived][map-checksums]
    	server=70ad9bcd35428168359695ccf3167cb8f9d3b95e91c6614c71d13c369d8e93b6e09af64ac1445a7d7e79fe697d3e329266a8b6cec5a135132e27807569d08123
    	client=70ad9bcd35428168359695ccf3167cb8f9d3b95e91c6614c71d13c369d8e93b6e09af64ac1445a7d7e79fe697d3e329266a8b6cec5a135132e27807569d08123"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] [i76700HQ] you want to repost that link?
    [f=-000001] <ddaannnggeerr> no
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=299d4009c8089a7ea7b8162f024f37ccfbf7ddd6d6d9f9a3b77871cdbcd533395661570f8c7d456f012079d588092e1b618f81336fd52d258e1d9841e02c7ef7]"
    [f=-000001] <ddaannnggeerr> ill do it
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=5d93557468d982a901f1b41f3e432af40fd52fd8fd25965ffe54c40a0fdd6b898a7dd4e6189b256e9e5658ee7a6a89e578dfad385cd0e11bb43d6e7375222b4a]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[Game::Load][lua{Rules,Gaia}={347cd778,393da1a8}]"
    [f=-000001] [i76700HQ] execute order 66
    [f=-000001] <ddaannnggeerr> !ring
    [f=-000001] > nebula3 * Ringing unready player(s): raaar (by ddaannnggeerr)
    [f=-000001] [Shruggoth] nho betman
    [f=-000001] [i76700HQ] raaar seems afk
    [f=-000001] <lmao_who_netMan> nho betman
    [f=-000001] [i76700HQ] maybe he got mail
    [f=-000001] [Shruggoth] if you're going to nuke it
    [f=-000001] [Shruggoth] just forcestart
    [f=-000001] [i76700HQ] was rather sudden
    [f=-000001] [i76700HQ] oh yeah good point
    [f=-000001] [i76700HQ] !forcestart
    [f=-000001] > nebula3 * i76700HQ, you are not allowed to call command "forcestart" in current context.
    [f=-000001] <lmao_who_netMan> !ring
    [f=-000001] > nebula3 * Ringing unready player(s): raaar (by lmao_who_netMan)
    [f=-000001] [Shruggoth] danger/netman call a forcestart
    [f=-000001] <ddaannnggeerr> !forcestart
    [f=-000001] > nebula3 * ddaannnggeerr called a vote for command "forcestart" [!vote y, !vote n, !vote b]
    [f=-000001] > nebula3 * User(s) allowed to vote: lmao_who_netMan,raaar
    [f=-000001] [Shruggoth] netman vote y
    [f=-000001] <lmao_who_netMan> What if raaar misses it and want to see again?
    [f=-000001] > nebula3 * Away vote mode for raaar
    [f=-000001] > nebula3 * Vote in progress: "forcestart" [y:1/2, n:0/1(2)] (25s remaining)
    [f=-000001] > nebula3 * Awaiting following vote(s): lmao_who_netMan (and 1 away-mode vote(s))
    [f=-000001] [Shruggoth] uhhhhh
    [f=-000001] [i76700HQ] ill be honest though
    [f=-000001] <lmao_who_netMan> k
    [f=-000001] [i76700HQ] the game probably doesnt even need to start
    [f=-000001] <lmao_who_netMan> !y
    [f=-000001] > nebula3 * Vote for command "forcestart" passed.
    [f=-000001] > nebula3 * Forcing game start by ddaannnggeerr
    [f=-000001] [Shruggoth] probably not
    [f=0000049] [Shruggoth] but it keeps it consistent
    [f=0000307] [i76700HQ] go
    [f=0000399] [Shruggoth] NUKE IT
    [f=0000401] [i76700HQ] ddaaaanger
    [f=0000679] [Shruggoth] did he go afk too
    [f=0000698] [Shruggoth] bruh
    [f=0000842] <raaar> sry 
    [f=0000947] <lmao_who_netMan> spam energy storage
    [f=0000949] <raaar> i went to get some fruit
    [f=0001101] <ddaannnggeerr> alright
    [f=0001138] <raaar> this is 30s in
    [f=0001145] <lmao_who_netMan> Ok raaar
    [f=0001193] <ddaannnggeerr> so im goign to do it
    [f=0001280] [Shruggoth] dw raaar
    [f=0001302] [i76700HQ] do it
    [f=0001331] [Shruggoth] we're nuking it
    [f=0001362] Error: [Game::ClientReadNet][NETMSG_CHAT] exception "Unpack failure (string)"
    [f=0001362] Press <none> to access the quit menu
    [f=0001362] [QuitBox] user exited to system
    [f=0001362] [SpringApp::Kill][1] fromRun=1
    [f=0001362] [ThreadPool::SetThreadCount][1] wanted=0 current=1 maximum=4 (init=1)
    [f=0001362] 	[async=0] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=0001362] 	[async=1] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=0001362] [ThreadPool::SetThreadCount][2] workers=0
    [f=0001362] [SpringApp::Kill][2]
    [f=0001362] [Game::KillLua][0] dtor=0 loadscreen=00000000
    [f=0001362] [Game::KillLua][3] dtor=0 luaUI=381674f8
    [f=0001362] Red_UI_Framework>> last processed widget was "Red Build/Order Menu"
    [f=0001362] Red_Drawing>> last processed widget was "Red Build/Order Menu"
    [f=0001362] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=0001362] [LuaMemPool::LogStats][handle=LuaUI (unsynced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,2003600,0} {chunk,block}Bytes={0,0}
    [f=0001362] [Game::KillLua][1] dtor=0 luaGaia=3828b6a8
    [f=0001362] [LuaMemPool::LogStats][handle=LuaGaia (unsynced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,2003602,0} {chunk,block}Bytes={0,0}
    [f=0001362] [LuaMemPool::LogStats][handle=LuaGaia (synced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,2003602,0} {chunk,block}Bytes={0,0}
    [f=0001362] [Game::KillLua][2] dtor=0 luaRules=32b61f98
    [f=0001362] [LuaMemPool::LogStats][handle=LuaRules (unsynced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,2003620,0} {chunk,block}Bytes={0,0}
    [f=0001362] [LuaMemPool::LogStats][handle=LuaRules (synced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,2003620,0} {chunk,block}Bytes={0,0}
    [f=0001362] [Game::KillLua][4] dtor=0
    [f=0001362] [DemoRecorder::WriteDemoFile] writing client-demo "C:\Users\Rui\Documents\My Games\Spring\demos\20200516_235949_Highway 95 v5_104.0.1-1464-g4f428c8 maintenance.sdfz" (44380 bytes)
    [f=0001362] [Sound] [Sound::Kill] soundThread.joinable()=1
    [f=0001362] [WatchDog::DeregisterThread] deregistering controls for thread [audio]
    [f=0001362] [Sound] [Sound::UpdateThread][3] #sources=128 #items=18
    [f=0001362] [Sound] [Sound::UpdateThread][4] ctx=05790c60 dev=059145a0
    [f=0001362] [Sound] [Sound::UpdateThread][5] ctx=05790c60 dev=059145a0
    [f=0001362] [Sound] [Sound::Cleanup][alcDestroyContext(05790c60)]
    [f=0001362] [Sound] [Sound::Cleanup][alcCloseDevice(059145a0)]
    [f=0001362] [Sound] [Sound::UpdateThread][6]
    [f=0001362] [Game::~CGame][1]
    [f=0001362] [Game::KillLua][0] dtor=1 loadscreen=00000000
    [f=0001362] [Game::KillLua][3] dtor=1 luaUI=00000000
    [f=0001362] [Game::KillLua][1] dtor=1 luaGaia=00000000
    [f=0001362] [Game::KillLua][2] dtor=1 luaRules=00000000
    [f=0001362] [Game::KillLua][4] dtor=1
    [f=0001362] [Game::KillMisc][1]
    [f=0001362] [Game::KillMisc][2]
    [f=0001362] [Game::KillMisc][3]
    [f=0001362] [Game::KillRendering][1]
    [f=0001362] [~CRectangleOverlapHandler] 0% overlap reduction
    [f=0001362] [3DOParser::Kill] allocated 139 pieces
    [f=0001362] [S3OParser::Kill] allocated 0 pieces
    [f=0001362] [AssParser::Kill] allocated 0 pieces
    [f=0001362] [Game::KillInterface][1]
    [f=0001362] [Game::KillInterface][2]
    [f=0001362] [Game::KillSimulation][1]
    [f=0001362] [Game::KillSimulation][2]
    [f=0001362] [CCollisionHandler] dis-/continuous tests: 0/1097
    [f=0001362] [Game::KillSimulation][3]
    [f=0001362] [~CPathCache(28x24)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0001362] [~CPathCache(28x24)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=1
    [f=0001362] [~CPathCache(56x48)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0001362] [~CPathCache(56x48)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=201
    [f=0001362] [~CRectangleOverlapHandler] 0% overlap reduction
    [f=0001362] [~CRectangleOverlapHandler] 0% overlap reduction
    [f=0001362] [LosHandler::Kill] raycast instance cache-{hits,misses}={1,40}; shared=0%; cached=2%
    [f=0001362] [Game::KillSimulation][4]
    [f=0001362] [CommonDefHandler::KillStatic] 4065 sound-set data items added
    [f=0001362] [Game::~CGame][2]
    [f=0001362] [Game::~CGame][3]
    [f=0001362] [SpringApp::Kill][3]
    [f=0001362] [NetProto::~CNetProtocol] [UDPConnection::Statistics]
    	17673 bytes sent   in 159 packets (111.151 bytes/packet)
    	45091 bytes recv'd in 174 packets (259.144 bytes/packet)
    	{0.513x, 0.023x} relative protocol overhead {up, down}
    	0 incoming chunks dropped, 0 outgoing chunks resent
    	302 incoming chunks processed
    
    [f=0001362] [SpringApp::Kill][4] font=05703e58
    [f=0001362] [SpringApp::Kill][5]
    [f=0001362] [SpringApp::Kill][6]
    [SpringApp::Kill][7]
    [LuaSocket] [~CLuaSocketRestrictions] dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_CONNECT DENY  91.186.9.239 8456
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [VFS] [SpringVFS::DeleteArchives<this=05791f30>]
    [VFS] [SpringVFS::DeleteArchives<this=05791f30>(section=0)] #archives[section]=1 #files[section]=5446
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\packages\c78761c8a43ab3823a6a184f9795649b.sdp (05b2d670)
    [~CPoolArchive] archiveFile="C:\Users\Rui\Documents\My Games\Spring\packages\c78761c8a43ab3823a6a184f9795649b.sdp" numZipFiles=5446 sumInflSize=92424kb sumReadTime=255ms
    	file="luarules/gadgets/ailoader.lua" indx=422 inflSize=5kb readTime=4ms
    	file="luaui/images/vr_grid_large_dark.dds" indx=601 inflSize=2048kb readTime=3ms
    	file="luaui/fonts/freesansbold.otf" indx=497 inflSize=290kb readTime=2ms
    	file="icons/invisible.tga" indx=305 inflSize=64kb readTime=1ms
    	file="luarules/gadgets/ai/attackerbehavior.lua" indx=412 inflSize=6kb readTime=1ms
    	file="anims/cursordefend_15.bmp" indx=30 inflSize=1kb readTime=1ms
    	file="luarules/gadgets/ai/sleep.lua" indx=418 inflSize=1kb readTime=1ms
    	file="units/gear_intimidator.fbi" indx=4693 inflSize=2kb readTime=1ms
    	file="units/claw_roller.fbi" indx=4601 inflSize=1kb readTime=1ms
    	file="luaui/images/advplayerslist/metal.png" indx=539 inflSize=0kb readTime=1ms
    [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\packages\c78761c8a43ab3823a6a184f9795649b.sdp] 19680786 bytes cached in 1600 files
    [VFS] [SpringVFS::DeleteArchives<this=05791f30>(section=1)] #archives[section]=1 #files[section]=41
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\maps\highway95-v5.sd7 (05b306a8)
    [VFS] [SpringVFS::DeleteArchives<this=05791f30>(section=2)] #archives[section]=3 #files[section]=319
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1464-g4f428c8 maintenance\base\spring\bitmaps.sdz (058a0580)
    [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1464-g4f428c8 maintenance\base\spring\bitmaps.sdz] 2324163 bytes cached in 62 files
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1464-g4f428c8 maintenance\base\maphelper.sdz (058a1010)
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1464-g4f428c8 maintenance\base\springcontent.sdz (058a13b8)
    [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1464-g4f428c8 maintenance\base\springcontent.sdz] 285348 bytes cached in 98 files
    [VFS] [SpringVFS::DeleteArchives<this=05791f30>(section=3)] #archives[section]=0 #files[section]=0
    [VFS] [SpringVFS::DeleteArchives<this=05791f30>(section=4)] #archives[section]=0 #files[section]=130
    [VFS] [SpringVFS::DeleteArchives<this=05791f30>(section=5)] #archives[section]=0 #files[section]=0
    [VFS] [SpringVFS::DeleteArchives<this=05791f30>(section=6)] #archives[section]=0 #files[section]=0
    [VFS] [SpringVFS::DeleteArchives<this=05791f30>(section=7)] #archives[section]=0 #files[section]=0
    [VFS] [SpringVFS::DeleteArchives<this=05791f30>(section=8)] #archives[section]=0 #files[section]=0
    [SpringApp::Kill][8]
    [WatchDog::DeregisterThread] deregistering controls for thread [main]
    [WatchDog::Uninstall][1] hangDetectorThread=0157ab0c (joinable=0)
    [SpringApp::Kill][9]
    
    txt file icon infolog_sp_1464_maintenance_msg_freeze_crash.txt (49,153 bytes) 2020-05-17 01:15 +
  • txt file icon infolog_sp_1486_maintenance_msg_freeze_crash.txt (44,865 bytes) 2020-05-17 01:59 -
    [DataDirLocater::FindWriteableDataDir] using writeable data-directory "C:\Users\Rui\Documents\My Games\Spring\"
    Using writeable configuration source: "C:\Users\Rui\Documents\My Games\Spring\springsettings.cfg"
    LogOutput initialized. Logging to C:\Users\Rui\Documents\My Games\Spring\infolog.txt
    ============== <Log Sections> ==============
      Available:
        ArchiveScanner
        AutohostInterface
        BumpWater
        CSMFGroundTextures
        CregSerializer
        DecalsDrawerGL4
        DynWater
        FarTextureHandler
        Font
        GameServer
        GroundMoveType
        KeyBindings
        LuaSocket
        Model
        Net
        Path
        Piece
        RoamMeshDrawer
        Shader
        SkyBox
        Sound
        Texture
        VFS
      Enabled:
        Sound (Notice)
        VFS (Info)
      
      Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    ============== </Log Sections> ==============
    
    ============== <User Config> ==============
      AdvSky = 1
      AllowDeferredMapRendering = 1
      AllowDeferredModelRendering = 1
      BumpWaterDepthBits = 16
      CamFreeScrollSpeed = 0
      CamMode = 1
      CamTimeExponent = 4.0
      CamTimeFactor = 1.0
      FPSFOV = 90
      GrassDetail = 0
      GroundDecals = 1
      GroundDetail = 140
      GroundScarAlphaFade = 1
      GuiOpacity = 1
      HangTimeout = 0
      HardwareCursor = 1
      InitialNetworkTimeout = 0
      InputTextGeo = 0.26 0.73 0.02 0.028
      InvertMouse = 1
      LODScale = 1.000
      LODScaleReflection = 1.000
      LODScaleRefraction = 1.000
      LODScaleShadow = 1.000
      LastSelectedMap = Tropical-v2
      LastSelectedMod = Metal Factions v0.985
      LastSelectedScript = MFAI : brutal
      LastSelectedSetting = MaxParticles
      MSAALevel = 2
      MaxDynamicMapLights = 0
      MaxDynamicModelLights = 0
      MaxNanoParticles = 10000
      MaxParticles = 20000
      MaximumTransmissionUnit = 0
      MiddleClickScrollSpeed = -0.005
      MouseDragCircleCommandThreshold = 25
      MouseDragScrollThreshold = 0
      ReconnectTimeout = 0
      RotateLogFiles = 1
      ScreenshotCounter = 2289
      ScrollWheelSpeed = -25
      ShadowMapSize = 2047
      Shadows = 1
      ShowClock = 0
      ShowPlayerInfo = 0
      SpringData = C:/Users/Rui/Documents/My Games/Spring;
      TeamHighlight = 0
      UnitIconDist = 120
      UnitLodDist = 10000
      UsePBO = 0
      VSync = -1
      Water = 4
      WindowPosX = 0
      WindowPosY = 23
      WorkerThreadCount = 1
      XResolutionWindowed = 1280
      YResolutionWindowed = 961
      snd_airAbsorption = 0
      snd_volmaster = 40
      snd_volmusic = 20
    ============== </User Config> ==============
    
    ============== <User System> ==============
      Spring Engine Version: 104.0.1-1486-gf266c81 maintenance
          Build Environment: gcc libstdc++ version 20171010
           Compiler Version: gcc-5.5.0
           Operating System: Windows 8.1 Home Premium Edition, 64-bit (build 9600)
            Hardware Config: Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz; 8143MB RAM, 12751MB pagefile
           Binary Word Size: 32-bit (emulated)
              Process Clock: std::chrono::high_resolution_clock
         Physical CPU Cores: 4
          Logical CPU Cores: 8
    ============== </User System> ==============
    
    [good_fpu_init][STREFLOP_SSE]
    	SSE 1.0 : 1,  SSE 2.0 : 1
    	SSE 3.0 : 1, SSSE 3.0 : 1
    	SSE 4.1 : 1,  SSE 4.2 : 1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    [WatchDog::Install] disabled
    [WatchDog::RegisterThread] registering controls for thread [main]
    [GL::CheckAvailableVideoModes] desktop={1920x1080x24bpp@60Hz} current={1920x1080x24bpp@60Hz}
    	display=1 modes=64 bounds={x=0, y=0, w=1920, h=1080}
    		[ 1] 1920x1080x24bpp@60Hz
    		[13] 1680x1050x24bpp@60Hz
    		[17] 1600x1024x24bpp@60Hz
    		[21] 1600x900x24bpp@60Hz
    		[23] 1440x900x24bpp@60Hz
    		[33] 1280x800x24bpp@60Hz
    		[37] 1280x720x24bpp@60Hz
    [GR::CreateSDLWindow] using 2x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for main window
    [GR::CreateSDLWindow] using 2x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for hidden window
    [GR::LogVersionInfo]
    	SDL version : 2.0.8 (linked) / 2.0.8 (compiled)
    	GL version  : 4.5.0 NVIDIA 385.69
    	GL vendor   : NVIDIA Corporation
    	GL renderer : GeForce GT 640/PCIe/SSE2
    	GLSL version: 4.50 NVIDIA
    	GLEW version: 2.1.0
    	GPU memory  : 3072MB (total) / 1826MB (available)
    	SDL swap-int: 1
    	
    	ARB shader support        : 1
    	GLSL shader support       : 1
    	FBO extension support     : 1
    	NVX GPU mem-info support  : 1
    	ATI GPU mem-info support  : 0
    	NPOT-texture support      : 1 (1)
    	S3TC/DXT1 texture support : 1/1
    	texture query-LOD support : 1 (1)
    	MSAA frame-buffer support : 1 (1)
    	24-bit Z-buffer support   : 1 (-)
    	primitive-restart support : 1 (1)
    	clip-space control support: 1 (1)
    	seamless cube-map support : 1 (1)
    	frag-depth layout support : 1 (-)
    	
    	max. FBO samples             : 32
    	max. texture size            : 16384
    	max. texture anisotropy level: 16.000000
    	max. vec4 varyings/attributes: 31/16
    	max. draw-buffers            : 8
    	max. rec. indices/vertices   : 1048576/1048576
    	max. uniform buffer-bindings : 84
    	max. uniform block-size      : 64KB
    	
    	enable ATI-hacks : 0
    	compress MIP-maps: 0
    [GR::ToggleGLDebugOutput] OpenGL debug-context not installed (dbgErrors=0 dbgTraces=0)
    [GR::UpdateGLConfigs]
    [VSync::SetInterval] interval=-1 (adaptive)
    [GR::UpdateGLGeometry][1] winSize=<1,1>
    [GR::UpdateGLGeometry][2] winSize=<1920,1080>
    [GR::InitGLState]
    [GR::LogDisplayMode] display-mode set to 1920x1080x24bpp@60Hz (fullscreen::decorated)
    [TexMemPool::Resize] poolSize=134217728u allocSize=0u texCount=0u
    [~ScopedOnceTimer][FtLibraryHandler::FontConfigInit (version 2.10.2)] 0ms
    [ThreadPool::SetThreadCount][1] wanted=4 current=1 maximum=4 (init=1)
    [ThreadPool::SetThreadCount][2] workers=3
    [WatchDog::RegisterThread] registering controls for thread [vfsi]
    [DataDirLocater::FindWriteableDataDir] using writeable data-directory "C:\Users\Rui\Documents\My Games\Spring\"
    [DataDirLocater::FilterUsableDataDirs] using read-write data directory: C:\Users\Rui\Documents\My Games\Spring\
    [DataDirLocater::FilterUsableDataDirs] using read-only data directory: C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\
    Scanning: C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base
    Scanning: C:\Users\Rui\Documents\My Games\Spring\maps
    Scanning: C:\Users\Rui\Documents\My Games\Spring\games
    Scanning: C:\Users\Rui\Documents\My Games\Spring\packages
    [~ScopedOnceTimer][CArchiveScanner::ScanAllDirs] 2788ms
    [VFS] [SpringVFS::ReserveArchives<this=0584b0e8>]
    [VFS] [SpringVFS::AddArchive<this=0584b0e8>(arName="Spring content v1", overwrite=false)] section=2 cached=0
    [VFS] [VFSHandler::SetGlobalInstanceRaw] handler=0584b0e8 (SpringVFS) global=00000000 (null)
    [WatchDog::DeregisterThread] deregistering controls for thread [vfsi]
    [ThreadPool::SetThreadCount][1] wanted=1 current=4 maximum=4 (init=0)
    	[async=0] threads=4 tasks=9 {sum,avg}{exec,wait}time={{26815615859885194199148049996411692254958731641184786755447122887443528060147093953603748596333806855380063716372972101707507765623893139892867298012168192.000, 0.000}, {0.000, 0.000}}ms
    		thread=1 tasks=3 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, -0.000, 0.000}, {0.000, 0.000, 0.000, 0.000}}ms
    		thread=2 tasks=3 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, -0.000, 0.000}, {0.000, 0.000, 0.000, 0.000}}ms
    		thread=3 tasks=3 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, -0.000, 0.000}, {0.000, 0.000, 0.000, 0.000}}ms
    	[async=1] threads=4 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [ThreadPool::SetThreadCount][2] workers=0
    [Threading] Main thread CPU affinity mask set: 255
    [f=-000001] [~ScopedOnceTimer][ISound::Init::New] 0ms
    [f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (0.0ms)
    [f=-000001] [Sound] [Sound::UpdateThread][1] cfgMaxSounds=128
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [audio]
    [f=-000001] [Sound] [Sound::InitThread][1]
    [f=-000001] [Sound] [Sound::OpenOpenALDevice] opening default device "OpenAL Soft"
    [f=-000001] [Sound] [Sound::OpenOpenALDevice] device=0591b8b0 context=05759a08
    [f=-000001] [Sound] [Sound::InitThread][4][OpenAL API Info]
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound]   Devices:
    [f=-000001] [Sound]     [Speakers (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Realtek Digital Output(Optical) (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Speakers (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Realtek Digital Output (Realtek High Definition Audio)]
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] #attribs=15
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] {cfg,alc}MaxSounds={128,255}
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound] [Sound::UpdateThread][2]
    [f=-000001] [~ScopedOnceTimer][ISound::Init::Dev] 101ms
    [f=-000001] [StartScript] Loading StartScript from: C:\Users\Rui\AppData\Roaming\springlobby\script.txt
    [f=-000001] [CPreGame] using client IP 91.186.9.239 and port 8456
    [f=-000001] [NetProto::InitClient] connecting to IP 91.186.9.239 on port 8456 using name raaar
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=1
    [f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
    [f=-000001] [~ScopedOnceTimer][FBO::GLContextReinit] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][1] fullScreen=1
    [f=-000001] [GR::UpdateGLConfigs]
    [f=-000001] [GR::UpdateGLGeometry][1] winSize=<1920,1080>
    [f=-000001] [GR::UpdateGLGeometry][2] winSize=<1920,1080>
    [f=-000001] [GR::InitGLState]
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1920x1080x24bpp@60Hz (fullscreen::decorated)
    [f=-000001] [~ScopedOnceTimer][GlobalRendering::UpdateGL] 0ms
    [f=-000001] [~ScopedOnceTimer][ActiveController::ResizeEvent] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][1] fullScreen=1
    [f=-000001] [GR::UpdateGLConfigs]
    [f=-000001] [GR::UpdateGLGeometry][1] winSize=<1920,1080>
    [f=-000001] [GR::UpdateGLGeometry][2] winSize=<1920,1080>
    [f=-000001] [GR::InitGLState]
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1920x1080x24bpp@60Hz (fullscreen::decorated)
    [f=-000001] [~ScopedOnceTimer][GlobalRendering::UpdateGL] 0ms
    [f=-000001] [~ScopedOnceTimer][ActiveController::ResizeEvent] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=1
    [f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
    [f=-000001] [~ScopedOnceTimer][FBO::GLContextReinit] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]
    
    [f=-000001] [PreGame::AddMapArchivesToVFS][server=00000000] using map "Ravaged_v2" (loaded=0 cached=0)
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=0584b0e8>(arName="Ravaged_v2", overwrite=false)] section=1 cached=0
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=0584b0e8>(arName="Map Helper v1", overwrite=false)] section=2 cached=0
    [f=-000001] [PreGame::AddModArchivesToVFS][server=00000000] using game "Metal Factions v1.35" (loaded=0 cached=0)
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=0584b0e8>(arName="Metal Factions v1.35", overwrite=false)] section=0 cached=0
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=0584b0e8>(arName="Spring content v1", overwrite=false)] section=2 cached=0
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=0584b0e8>(arName="Spring Bitmaps", overwrite=false)] section=2 cached=0
    [f=-000001] [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\maphelper.sdz] 34584 bytes cached in 9 files
    [f=-000001] [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\springcontent.sdz] 529034 bytes cached in 181 files
    [f=-000001] [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\spring\bitmaps.sdz] 5947433 bytes cached in 131 files
    [f=-000001] [PreGame::GameDataReceived] recording demo to "C:\Users\Rui\Documents\My Games\Spring\demos\20200517_005405_Ravaged_v2_104.0.1-1486-gf266c81 maintenance.sdfz"
    [f=-000001] [~ScopedOnceTimer][PreGame::GameDataReceived] 197ms
    [f=-000001] [PreGame::UpdateClientNet] received local player number 0 (team 0, allyteam 0), creating LoadScreen
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/systemaddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/systemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [LoadScreen::Init] single-threaded
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [load]
    [f=-000001] [Game::Load][1] globalQuit=0 threaded=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Parsing Map Information"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading SMF"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Map (40 MB)"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading GameData Definitions"
    [f=-000001] [~ScopedOnceTimer][[defs.lua] loading all *Defs tables:] 377ms
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (GameData)] 428ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Radar Icons"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Sound Definitions"
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 7 sounds from gamedata/sounds.lua
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (Sound)] 2ms
    [f=-000001] [Game::Load][2] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Smooth Height Mesh"
    [f=-000001] [~ScopedOnceTimer][SmoothHeightMesh::MakeSmoothMesh] 25ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating QuadField & CEGs"
    [f=-000001] [Init] number of ArmorDefs: 4
    [f=-000001] [RegisterModelFormats] supported (Assimp) model formats: *.3ds;*.blend;*.dae;*.lwo;*.obj;
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Unit Textures"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Sky"
    [f=-000001] [Game::Load][3] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Weapon Definitions"
    [f=-000001] Warning: WeaponDefs: Unknown tag "toairweapon" in "sphere_twilight_aabomb"
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (WeaponDefs)] 379ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Unit Definitions"
    [f=-000001] Warning: [GetCategory] too many unit categories (32), skipping level10
    [f=-000001] Warning: [GetCategory] too many unit categories (33), skipping upgrade_blue
    [f=-000001] Warning: [GetCategory] too many unit categories (34), skipping upgrade_green
    [f=-000001] Warning: [GetCategory] too many unit categories (35), skipping upgrade_red
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (UnitDefs)] 74ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Feature Definitions"
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (FeatureDefs)] 24ms
    [f=-000001] [IPathManager::GetInstance] using HAPFS
    [f=-000001] [LoadScreen::SetLoadMessage] text="Initializing Map Features"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating ShadowHandler"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating InfoTextureHandler"
    [f=-000001] InfoTexture: shaders
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating GroundDrawer"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Map Tiles"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Square Textures"
    [f=-000001] [~ScopedOnceTimer][CSMFGroundTextures::ConvolveHeightMap] 1ms
    [f=-000001] Switching to ROAM Mesh Rendering
    [f=-000001] [TriNodePool::Resize] to 2097152
    [f=-000001] [TriNodePool::InitPools] newPoolSize=2097152 PoolSize=2097152 (shadowPass=0)
    [f=-000001] [TriNodePool::Resize] to 2097152
    [f=-000001] [TriNodePool::InitPools] newPoolSize=2097152 PoolSize=2097152 (shadowPass=1)
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating TreeDrawer"
    [f=-000001] Loaded DecalsDrawer: Legacy
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating ProjectileDrawer & UnitDrawer"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Projectile Textures"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Water"
    [f=-000001] [Game::Load][4] globalQuit=0 forcedQuit=0
    [f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Console)] 17ms
    [f=-000001] [Game::LoadLua] Lua developer mode disabled
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaRules"
    [f=-000001] [~ScopedOnceTimer][creg::AutoRegisterCFunctions(LuaRules)] 54ms
    [f=-000001] Loaded SYNCED gadget:  CobButton           <unit_cobbutton.lua>
    [f=-000001] Loaded SYNCED gadget:  Lua Metal Spot Placer  <lua_metal_spots.lua>
    [f=-000001] Loaded SYNCED gadget:  Metal Extractor Radius Gadget  <unit_mex_radius.lua>
    [f=-000001] 32 metal spots found!
    [f=-000001] 4 geothermal spots found!
    [f=-000001] Loaded SYNCED gadget:  Resource Spot Tracker  <resource_spot_tracker.lua>
    [f=-000001] Loaded SYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded SYNCED gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded SYNCED gadget:  Base Income         <base_income.lua>
    [f=-000001] Loaded SYNCED gadget:  Commander Handler   <commanders.lua>
    [f=-000001] Loaded SYNCED gadget:  DirectControl       <unit_direct_control.lua>
    [f=-000001] Loaded SYNCED gadget:  Disable Buildoptions  <unit_disable_buildoptions.lua>
    [f=-000001] Loaded SYNCED gadget:  Drone Handler       <unit_drones.lua>
    [f=-000001] Loaded SYNCED gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=-000001] Loaded SYNCED gadget:  Feature Enlarger    <feature_enlarger.lua>
    [f=-000001] Loaded SYNCED gadget:  Game End            <game_end.lua>
    [f=-000001] Loaded SYNCED gadget:  Handles damage mitigation and shield related stuff  <unit_shields_damage.lua>
    [f=-000001] Loaded SYNCED gadget:  Map speed modifier disabler  <map_terrain_type_override.lua>
    [f=-000001] Loaded SYNCED gadget:  Projectile Handler Gadget  <projectile_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Shield Sharing      <unit_shield_sharing.lua>
    [f=-000001] Loaded SYNCED gadget:  Surrenderer         <surrender.lua>
    [f=-000001] Loaded SYNCED gadget:  Upgrade Handler     <upgrades.lua>
    [f=-000001] Loaded SYNCED gadget:  Walls               <unit_walls.lua>
    [f=-000001] Loaded SYNCED gadget:  Wind Generator Gadget  <unit_wind_generators.lua>
    [f=-000001] Loaded SYNCED gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=-000001] Loaded SYNCED gadget:  Area Buff Handler   <unit_area_buff_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Physics Handler     <unit_physics_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=-000001] Loaded SYNCED gadget:  Weapon Aim Handler Gadget  <unit_weapon_aim_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Cob Call Handler    <unit_cob_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Rocket Platform Pad Selector  <unit_rocket_platforms.lua>
    [f=-000001] Loaded SYNCED gadget:  UnitEStallDisable   <unit_estall_disable.lua>
    [f=-000001] Loaded SYNCED gadget:  Area Attack         <areaattack.lua>
    [f=-000001] Loaded SYNCED gadget:  Attack Safety distance setter  <unit_atk_safety_distance.lua>
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 2 sounds from LuaRules/Configs/sound_defs.lua
    [f=-000001] Loaded SYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=-000001] Loaded SYNCED gadget:  Unit Build Priority Handler  <unit_build_priority.lua>
    [f=-000001] Loaded SYNCED gadget:  Unit Hit-n-Run Handler  <unit_hit_run.lua>
    [f=-000001] Loaded SYNCED gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded SYNCED gadget:  Ground decal removal  <unit_water_remove_decal.lua>
    [f=-000001] Loaded SYNCED gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded SYNCED gadget:  Weapon Reaim Time   <weapon_reaim_time.lua>
    [f=-000001] [Sound] Warning: [LoadSoundDefsImpl] sound LuaRules/Configs/sound_defs.lua overwrites featurecrush
    [f=-000001] [Sound] Warning: [LoadSoundDefsImpl] sound LuaRules/Configs/sound_defs.lua overwrites genericcmd
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 2 sounds from LuaRules/Configs/sound_defs.lua
    [f=-000001] Loaded SYNCED gadget:  Metal Extractor Handler Gadget  <unit_mex_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Engine compatibility  <engine_compatibility.lua>
    [f=-000001] Loaded SYNCED gadget:  MFAI                <ailoader.lua>
    [f=-000001] Loaded SYNCED gadget:  Spawn               <game_start.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Metal Extractor Radius Gadget  <unit_mex_radius.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Resource Spot Tracker  <resource_spot_tracker.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Base Income         <base_income.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Drone Handler       <unit_drones.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Feature Enlarger    <feature_enlarger.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Handles damage mitigation and shield related stuff  <unit_shields_damage.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Shield Sharing      <unit_shield_sharing.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Walls               <unit_walls.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Wind Generator Gadget  <unit_wind_generators.lua>
    [f=-000001] Loaded UNSYNCED gadget:  lua_metal_spots.lua  <lua_metal_spots.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Area Buff Handler   <unit_area_buff_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Physics Handler     <unit_physics_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Cob Call Handler    <unit_cob_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Rocket Platform Pad Selector  <unit_rocket_platforms.lua>
    [f=-000001] Loaded UNSYNCED gadget:  UnitEStallDisable   <unit_estall_disable.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Area Attack         <areaattack.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Attack Safety distance setter  <unit_atk_safety_distance.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Ground decal removal  <unit_water_remove_decal.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Metal Extractor Handler Gadget  <unit_mex_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lups                <lups_wrapper.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Engine compatibility  <engine_compatibility.lua>
    [f=-000001] Loaded UNSYNCED gadget:  MFAI                <ailoader.lua>
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaGaia"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaUI"
    [f=-000001] LuaUI Entry Point: "luaui.lua"
    [f=-000001] LuaSocket Support: enabled
    [f=-000001] Using LUAUI_DIRNAME = LuaUI/
    [f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=-000001] LuaUI: bound F11 to the widget selector
    [f=-000001] LuaUI: bound CTRL+F11 to tweak mode
    [f=-000001] Loaded local team color config.
    [f=-000001] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=-000001] small digital clock is disabled!
    [f=-000001] frames-per-second indicator is disabled!
    [f=-000001] simulation speed indicator is disabled!
    [f=-000001] Set UnitIconDist to 120
    [f=-000001] GroundDetail set to 140
    [f=-000001] Hardware mouse-cursor is enabled!
    [f=-000001] [Sound] Warning: [LoadSoundDefsImpl] sound LuaRules/Configs/sound_defs.lua overwrites featurecrush
    [f=-000001] [Sound] Warning: [LoadSoundDefsImpl] sound LuaRules/Configs/sound_defs.lua overwrites genericcmd
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 2 sounds from LuaRules/Configs/sound_defs.lua
    [f=-000001] LuaUI v0.3
    [f=-000001] [Game::Load][5] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="[LoadFinalize] finalizing PFS"
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] BLOCK_SIZE=16
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] PATHESTIMATOR_VERSION=100
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] heightMapChecksum=81bc3ac
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] typeMapChecksum=6f4607e9
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] moveDefChecksum=a1d916f1
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] blockMapChecksum=dacb5a16
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] estimatorHashCode=f4063d10
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=f4063d10 file="cache\104dev-maintenance/paths/Ravaged_v2.pe-f4063d10.zip" (exists=1)
    [f=-000001] [LoadScreen::SetLoadMessage] text="Reading Estimate PathCosts [16]"
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] BLOCK_SIZE=32
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] PATHESTIMATOR_VERSION=100
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] heightMapChecksum=81bc3ac
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] typeMapChecksum=6f4607e9
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] moveDefChecksum=a1d916f1
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] blockMapChecksum=dacb5a16
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] estimatorHashCode=f4063d20
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=f4063d20 file="cache\104dev-maintenance/paths/Ravaged_v2.pe2-f4063d20.zip" (exists=1)
    [f=-000001] [LoadScreen::SetLoadMessage] text="Reading Estimate PathCosts [32]"
    [f=-000001] [LoadScreen::SetLoadMessage] text="[LoadFinalize] finalized PFS (214ms, checksum dab72780)"
    [f=-000001] [Game::Load][6] globalQuit=0 forcedQuit=0
    [f=-000001] [LuaMemPool::LogStats][handle=LuaIntro (unsynced)] index=1 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,19814,0} {chunk,block}Bytes={0,0}
    [f=-000001] view resized from 1920*1080 to 1920*1080 edown=false eleft=false
    [f=-000001] GameID: 187dc05e1795554d9872b91a516abf85
    [f=-000001] Connection attempt from Shruggoth
    [f=-000001]  -> Version: 104.0.1-1486-gf266c81 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 3)
    [f=-000001] Connection attempt from ddaannnggeerr
    [f=-000001]  -> Version: 104.0.1-1486-gf266c81 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 2)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[PreGame::GameDataReceived][map-checksums]
    	server=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb
    	client=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[PreGame::GameDataReceived][map-checksums]
    	server=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb
    	client=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] Connection attempt from i76700HQ
    [f=-000001]  -> Version: 104.0.1-1486-gf266c81 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 1)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[PreGame::GameDataReceived][map-checksums]
    	server=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb
    	client=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] Connection attempt from raaar
    [f=-000001]  -> Version: 104.0.1-1486-gf266c81 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 0)
    [f=-000001] Connection attempt from lmao_who_netMan
    [f=-000001]  -> Version: 104.0.1-1486-gf266c81 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 4)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PreGame::GameDataReceived][map-checksums]
    	server=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb
    	client=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[PreGame::GameDataReceived][map-checksums]
    	server=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb
    	client=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=f56f1c2df6d81bfeda4db96d1ef908178938f0e9cf6afc536bce17078ebeaac9e05c807d1a106ade818456a581714acefb1906b502e88753ad7a43d9a24fde35]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=e5480b5395ca4f37f12a6a25d473f9ab8c40a28826558f60fc1dc47652aa3bcc2b9be136e65b4e8ab505243ea1c65b6f339665238895698b6bfb79a8e7b91089]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[Game::Load][lua{Rules,Gaia}={333dbc18,00000000}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=f56f1c2df6d81bfeda4db96d1ef908178938f0e9cf6afc536bce17078ebeaac9e05c807d1a106ade818456a581714acefb1906b502e88753ad7a43d9a24fde35]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=e5480b5395ca4f37f12a6a25d473f9ab8c40a28826558f60fc1dc47652aa3bcc2b9be136e65b4e8ab505243ea1c65b6f339665238895698b6bfb79a8e7b91089]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[Game::Load][lua{Rules,Gaia}={39e01ab8,00000000}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=f56f1c2df6d81bfeda4db96d1ef908178938f0e9cf6afc536bce17078ebeaac9e05c807d1a106ade818456a581714acefb1906b502e88753ad7a43d9a24fde35]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=e5480b5395ca4f37f12a6a25d473f9ab8c40a28826558f60fc1dc47652aa3bcc2b9be136e65b4e8ab505243ea1c65b6f339665238895698b6bfb79a8e7b91089]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[Game::Load][lua{Rules,Gaia}={318a4578,00000000}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=f56f1c2df6d81bfeda4db96d1ef908178938f0e9cf6afc536bce17078ebeaac9e05c807d1a106ade818456a581714acefb1906b502e88753ad7a43d9a24fde35]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=e5480b5395ca4f37f12a6a25d473f9ab8c40a28826558f60fc1dc47652aa3bcc2b9be136e65b4e8ab505243ea1c65b6f339665238895698b6bfb79a8e7b91089]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[Game::Load][lua{Rules,Gaia}={38019dd0,00000000}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=f56f1c2df6d81bfeda4db96d1ef908178938f0e9cf6afc536bce17078ebeaac9e05c807d1a106ade818456a581714acefb1906b502e88753ad7a43d9a24fde35]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=e5480b5395ca4f37f12a6a25d473f9ab8c40a28826558f60fc1dc47652aa3bcc2b9be136e65b4e8ab505243ea1c65b6f339665238895698b6bfb79a8e7b91089]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[Game::Load][lua{Rules,Gaia}={32a5a4b8,00000000}]"
    [f=-000001] > nebula3 * Auto-forcing game start (only already in-game or unsynced spectators are missing)
    [f=0000074] <i76700HQ> ok
    [f=0000096] [lmao_who_netMan] nice map
    [f=0000171] <i76700HQ> you want honors
    [f=0000212] <i76700HQ> or me?
    [f=0000337] [Shruggoth] smh
    [f=0000355] <raaar> you type it
    [f=0000444] Error: 	[ProcessRawPacket] discarding incoming invalid packet: ID 48, LEN -2
    [f=0000444] Error: 	[ProcessRawPacket] discarding incoming invalid packet: ID 101, LEN -2
    [f=0000444] Error: 	[ProcessRawPacket] discarding incoming invalid packet: ID 88, LEN -2
    [f=0000450] Error: [Game::ClientReadNet][NETMSG_CHAT] exception "Unpack failure (string)"
    [f=0000450] Press <none> to access the quit menu
    [f=0000450] Press <none> to access the quit menu
    [f=0000450] [QuitBox] user exited to system
    [f=0000450] [SpringApp::Kill][1] fromRun=1
    [f=0000450] [ThreadPool::SetThreadCount][1] wanted=0 current=1 maximum=4 (init=1)
    [f=0000450] 	[async=0] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=0000450] 	[async=1] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=0000450] [ThreadPool::SetThreadCount][2] workers=0
    [f=0000450] [SpringApp::Kill][2]
    [f=0000450] [Game::KillLua][0] dtor=0 loadscreen=00000000
    [f=0000450] [Game::KillLua][3] dtor=0 luaUI=363fc428
    [f=0000450] Red_UI_Framework>> last processed widget was "Red Build/Order Menu"
    [f=0000450] Red_Drawing>> last processed widget was "Red Build/Order Menu"
    [f=0000450] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=0000450] [LuaMemPool::LogStats][handle=LuaUI (unsynced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,2147084,0} {chunk,block}Bytes={0,0}
    [f=0000450] [Game::KillLua][1] dtor=0 luaGaia=00000000
    [f=0000450] [Game::KillLua][2] dtor=0 luaRules=318a4578
    [f=0000450] [LuaMemPool::LogStats][handle=LuaRules (unsynced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,2147100,0} {chunk,block}Bytes={0,0}
    [f=0000450] [LuaMemPool::LogStats][handle=LuaRules (synced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,2147100,0} {chunk,block}Bytes={0,0}
    [f=0000450] [Game::KillLua][4] dtor=0
    [f=0000450] [DemoRecorder::WriteDemoFile] writing client-demo "C:\Users\Rui\Documents\My Games\Spring\demos\20200517_005405_Ravaged_v2_104.0.1-1486-gf266c81 maintenance.sdfz" (19967 bytes)
    [f=0000450] [Sound] [Sound::Kill] soundThread.joinable()=1
    [f=0000450] [WatchDog::DeregisterThread] deregistering controls for thread [audio]
    [f=0000450] [Sound] [Sound::UpdateThread][3] #sources=128 #items=16
    [f=0000450] [Sound] [Sound::UpdateThread][4] ctx=05759a08 dev=0591b8b0
    [f=0000450] [Sound] [Sound::UpdateThread][5] ctx=05759a08 dev=0591b8b0
    [f=0000450] [Sound] [Sound::Cleanup][alcDestroyContext(05759a08)]
    [f=0000450] [Sound] [Sound::Cleanup][alcCloseDevice(0591b8b0)]
    [f=0000450] [Sound] [Sound::UpdateThread][6]
    [f=0000450] [Game::~CGame][1]
    [f=0000450] [Game::KillLua][0] dtor=1 loadscreen=00000000
    [f=0000450] [Game::KillLua][3] dtor=1 luaUI=00000000
    [f=0000450] [Game::KillLua][1] dtor=1 luaGaia=00000000
    [f=0000450] [Game::KillLua][2] dtor=1 luaRules=00000000
    [f=0000450] [Game::KillLua][4] dtor=1
    [f=0000450] [Game::KillMisc][1]
    [f=0000450] [Game::KillMisc][2]
    [f=0000450] [Game::KillMisc][3]
    [f=0000450] [Game::KillRendering][1]
    [f=0000450] [~CRectangleOverlapHandler] 0% overlap reduction
    [f=0000450] [3DOParser::Kill] allocated 68 pieces
    [f=0000450] [S3OParser::Kill] allocated 44 pieces
    [f=0000450] [AssParser::Kill] allocated 0 pieces
    [f=0000450] [Game::KillInterface][1]
    [f=0000450] [Game::KillInterface][2]
    [f=0000450] [Game::KillSimulation][1]
    [f=0000450] [Game::KillSimulation][2]
    [f=0000450] [CCollisionHandler] dis-/continuous tests: 0/365451
    [f=0000450] [Game::KillSimulation][3]
    [f=0000450] [~CPathCache(20x20)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000450] [~CPathCache(20x20)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000450] [~CPathCache(40x40)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000450] [~CPathCache(40x40)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=201
    [f=0000450] [~CRectangleOverlapHandler] 0% overlap reduction
    [f=0000450] [~CRectangleOverlapHandler] 0% overlap reduction
    [f=0000450] [LosHandler::Kill] raycast instance cache-{hits,misses}={1,12}; shared=0%; cached=8%
    [f=0000450] [Game::KillSimulation][4]
    [f=0000450] [CommonDefHandler::KillStatic] 4065 sound-set data items added
    [f=0000450] [Game::~CGame][2]
    [f=0000450] [Game::~CGame][3]
    [f=0000450] [SpringApp::Kill][3]
    [f=0000450] [NetProto::~CNetProtocol] [UDPConnection::Statistics]
    	11951 bytes sent   in 514 packets (23.251 bytes/packet)
    	20677 bytes recv'd in 497 packets (41.604 bytes/packet)
    	{0.291x, 0.144x} relative protocol overhead {up, down}
    	5 incoming chunks dropped, 2 outgoing chunks resent
    	408 incoming chunks processed
    
    [f=0000450] [SpringApp::Kill][4] font=056f3f90
    [f=0000450] [SpringApp::Kill][5]
    [f=0000450] [SpringApp::Kill][6]
    [SpringApp::Kill][7]
    [LuaSocket] [~CLuaSocketRestrictions] dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_CONNECT DENY  91.186.9.239 8456
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>]
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=0)] #archives[section]=1 #files[section]=5446
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\packages\c78761c8a43ab3823a6a184f9795649b.sdp (05a9e420)
    [~CPoolArchive] archiveFile="C:\Users\Rui\Documents\My Games\Spring\packages\c78761c8a43ab3823a6a184f9795649b.sdp" numZipFiles=5446 sumInflSize=92424kb sumReadTime=283ms
    	file="unitpics/sphere_tidal_generator.png" indx=4341 inflSize=15kb readTime=30ms
    	file="objects3d/sphere_metal_extractor.3do" indx=1871 inflSize=20kb readTime=15ms
    	file="luaui/images/vr_grid_large_dark.dds" indx=601 inflSize=2048kb readTime=4ms
    	file="units/sphere_adv_vehicle_factory.fbi" indx=4771 inflSize=1kb readTime=2ms
    	file="bitmaps/loadpictures/loadscreen1.jpg" indx=186 inflSize=218kb readTime=2ms
    	file="unittextures/tatex/camoc0200.tga" indx=5046 inflSize=1kb readTime=1ms
    	file="units/sphere_aircraft_factory.fbi" indx=4775 inflSize=1kb readTime=1ms
    	file="icons/fsphereheavyfs.tga" indx=300 inflSize=64kb readTime=1ms
    	file="units/claw_dynamo.fbi" indx=4546 inflSize=3kb readTime=1ms
    	file="sounds/beep4.wav" indx=3233 inflSize=1kb readTime=1ms
    [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\packages\c78761c8a43ab3823a6a184f9795649b.sdp] 19641476 bytes cached in 1605 files
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=1)] #archives[section]=1 #files[section]=121
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\maps\ravaged_v2.sd7 (05aa15e8)
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=2)] #archives[section]=3 #files[section]=319
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\springcontent.sdz (058c6850)
    [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\springcontent.sdz] 285348 bytes cached in 98 files
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\maphelper.sdz (058c5b50)
    [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\maphelper.sdz] 14008 bytes cached in 3 files
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\spring\bitmaps.sdz (058c5e90)
    [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\spring\bitmaps.sdz] 2587385 bytes cached in 63 files
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=3)] #archives[section]=0 #files[section]=0
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=4)] #archives[section]=0 #files[section]=130
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=5)] #archives[section]=0 #files[section]=0
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=6)] #archives[section]=0 #files[section]=0
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=7)] #archives[section]=0 #files[section]=0
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=8)] #archives[section]=0 #files[section]=0
    [SpringApp::Kill][8]
    [WatchDog::DeregisterThread] deregistering controls for thread [main]
    [WatchDog::Uninstall][1] hangDetectorThread=0157910c (joinable=0)
    [SpringApp::Kill][9]
    
    txt file icon infolog_sp_1486_maintenance_msg_freeze_crash.txt (44,865 bytes) 2020-05-17 01:59 +
  • txt file icon infolog_sp_1486_maintenance_msg_freeze_crash-2.txt (44,865 bytes) 2020-05-17 02:00 -
    [DataDirLocater::FindWriteableDataDir] using writeable data-directory "C:\Users\Rui\Documents\My Games\Spring\"
    Using writeable configuration source: "C:\Users\Rui\Documents\My Games\Spring\springsettings.cfg"
    LogOutput initialized. Logging to C:\Users\Rui\Documents\My Games\Spring\infolog.txt
    ============== <Log Sections> ==============
      Available:
        ArchiveScanner
        AutohostInterface
        BumpWater
        CSMFGroundTextures
        CregSerializer
        DecalsDrawerGL4
        DynWater
        FarTextureHandler
        Font
        GameServer
        GroundMoveType
        KeyBindings
        LuaSocket
        Model
        Net
        Path
        Piece
        RoamMeshDrawer
        Shader
        SkyBox
        Sound
        Texture
        VFS
      Enabled:
        Sound (Notice)
        VFS (Info)
      
      Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    ============== </Log Sections> ==============
    
    ============== <User Config> ==============
      AdvSky = 1
      AllowDeferredMapRendering = 1
      AllowDeferredModelRendering = 1
      BumpWaterDepthBits = 16
      CamFreeScrollSpeed = 0
      CamMode = 1
      CamTimeExponent = 4.0
      CamTimeFactor = 1.0
      FPSFOV = 90
      GrassDetail = 0
      GroundDecals = 1
      GroundDetail = 140
      GroundScarAlphaFade = 1
      GuiOpacity = 1
      HangTimeout = 0
      HardwareCursor = 1
      InitialNetworkTimeout = 0
      InputTextGeo = 0.26 0.73 0.02 0.028
      InvertMouse = 1
      LODScale = 1.000
      LODScaleReflection = 1.000
      LODScaleRefraction = 1.000
      LODScaleShadow = 1.000
      LastSelectedMap = Tropical-v2
      LastSelectedMod = Metal Factions v0.985
      LastSelectedScript = MFAI : brutal
      LastSelectedSetting = MaxParticles
      MSAALevel = 2
      MaxDynamicMapLights = 0
      MaxDynamicModelLights = 0
      MaxNanoParticles = 10000
      MaxParticles = 20000
      MaximumTransmissionUnit = 0
      MiddleClickScrollSpeed = -0.005
      MouseDragCircleCommandThreshold = 25
      MouseDragScrollThreshold = 0
      ReconnectTimeout = 0
      RotateLogFiles = 1
      ScreenshotCounter = 2289
      ScrollWheelSpeed = -25
      ShadowMapSize = 2047
      Shadows = 1
      ShowClock = 0
      ShowPlayerInfo = 0
      SpringData = C:/Users/Rui/Documents/My Games/Spring;
      TeamHighlight = 0
      UnitIconDist = 120
      UnitLodDist = 10000
      UsePBO = 0
      VSync = -1
      Water = 4
      WindowPosX = 0
      WindowPosY = 23
      WorkerThreadCount = 1
      XResolutionWindowed = 1280
      YResolutionWindowed = 961
      snd_airAbsorption = 0
      snd_volmaster = 40
      snd_volmusic = 20
    ============== </User Config> ==============
    
    ============== <User System> ==============
      Spring Engine Version: 104.0.1-1486-gf266c81 maintenance
          Build Environment: gcc libstdc++ version 20171010
           Compiler Version: gcc-5.5.0
           Operating System: Windows 8.1 Home Premium Edition, 64-bit (build 9600)
            Hardware Config: Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz; 8143MB RAM, 12751MB pagefile
           Binary Word Size: 32-bit (emulated)
              Process Clock: std::chrono::high_resolution_clock
         Physical CPU Cores: 4
          Logical CPU Cores: 8
    ============== </User System> ==============
    
    [good_fpu_init][STREFLOP_SSE]
    	SSE 1.0 : 1,  SSE 2.0 : 1
    	SSE 3.0 : 1, SSSE 3.0 : 1
    	SSE 4.1 : 1,  SSE 4.2 : 1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    [WatchDog::Install] disabled
    [WatchDog::RegisterThread] registering controls for thread [main]
    [GL::CheckAvailableVideoModes] desktop={1920x1080x24bpp@60Hz} current={1920x1080x24bpp@60Hz}
    	display=1 modes=64 bounds={x=0, y=0, w=1920, h=1080}
    		[ 1] 1920x1080x24bpp@60Hz
    		[13] 1680x1050x24bpp@60Hz
    		[17] 1600x1024x24bpp@60Hz
    		[21] 1600x900x24bpp@60Hz
    		[23] 1440x900x24bpp@60Hz
    		[33] 1280x800x24bpp@60Hz
    		[37] 1280x720x24bpp@60Hz
    [GR::CreateSDLWindow] using 2x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for main window
    [GR::CreateSDLWindow] using 2x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for hidden window
    [GR::LogVersionInfo]
    	SDL version : 2.0.8 (linked) / 2.0.8 (compiled)
    	GL version  : 4.5.0 NVIDIA 385.69
    	GL vendor   : NVIDIA Corporation
    	GL renderer : GeForce GT 640/PCIe/SSE2
    	GLSL version: 4.50 NVIDIA
    	GLEW version: 2.1.0
    	GPU memory  : 3072MB (total) / 1826MB (available)
    	SDL swap-int: 1
    	
    	ARB shader support        : 1
    	GLSL shader support       : 1
    	FBO extension support     : 1
    	NVX GPU mem-info support  : 1
    	ATI GPU mem-info support  : 0
    	NPOT-texture support      : 1 (1)
    	S3TC/DXT1 texture support : 1/1
    	texture query-LOD support : 1 (1)
    	MSAA frame-buffer support : 1 (1)
    	24-bit Z-buffer support   : 1 (-)
    	primitive-restart support : 1 (1)
    	clip-space control support: 1 (1)
    	seamless cube-map support : 1 (1)
    	frag-depth layout support : 1 (-)
    	
    	max. FBO samples             : 32
    	max. texture size            : 16384
    	max. texture anisotropy level: 16.000000
    	max. vec4 varyings/attributes: 31/16
    	max. draw-buffers            : 8
    	max. rec. indices/vertices   : 1048576/1048576
    	max. uniform buffer-bindings : 84
    	max. uniform block-size      : 64KB
    	
    	enable ATI-hacks : 0
    	compress MIP-maps: 0
    [GR::ToggleGLDebugOutput] OpenGL debug-context not installed (dbgErrors=0 dbgTraces=0)
    [GR::UpdateGLConfigs]
    [VSync::SetInterval] interval=-1 (adaptive)
    [GR::UpdateGLGeometry][1] winSize=<1,1>
    [GR::UpdateGLGeometry][2] winSize=<1920,1080>
    [GR::InitGLState]
    [GR::LogDisplayMode] display-mode set to 1920x1080x24bpp@60Hz (fullscreen::decorated)
    [TexMemPool::Resize] poolSize=134217728u allocSize=0u texCount=0u
    [~ScopedOnceTimer][FtLibraryHandler::FontConfigInit (version 2.10.2)] 0ms
    [ThreadPool::SetThreadCount][1] wanted=4 current=1 maximum=4 (init=1)
    [ThreadPool::SetThreadCount][2] workers=3
    [WatchDog::RegisterThread] registering controls for thread [vfsi]
    [DataDirLocater::FindWriteableDataDir] using writeable data-directory "C:\Users\Rui\Documents\My Games\Spring\"
    [DataDirLocater::FilterUsableDataDirs] using read-write data directory: C:\Users\Rui\Documents\My Games\Spring\
    [DataDirLocater::FilterUsableDataDirs] using read-only data directory: C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\
    Scanning: C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base
    Scanning: C:\Users\Rui\Documents\My Games\Spring\maps
    Scanning: C:\Users\Rui\Documents\My Games\Spring\games
    Scanning: C:\Users\Rui\Documents\My Games\Spring\packages
    [~ScopedOnceTimer][CArchiveScanner::ScanAllDirs] 2788ms
    [VFS] [SpringVFS::ReserveArchives<this=0584b0e8>]
    [VFS] [SpringVFS::AddArchive<this=0584b0e8>(arName="Spring content v1", overwrite=false)] section=2 cached=0
    [VFS] [VFSHandler::SetGlobalInstanceRaw] handler=0584b0e8 (SpringVFS) global=00000000 (null)
    [WatchDog::DeregisterThread] deregistering controls for thread [vfsi]
    [ThreadPool::SetThreadCount][1] wanted=1 current=4 maximum=4 (init=0)
    	[async=0] threads=4 tasks=9 {sum,avg}{exec,wait}time={{26815615859885194199148049996411692254958731641184786755447122887443528060147093953603748596333806855380063716372972101707507765623893139892867298012168192.000, 0.000}, {0.000, 0.000}}ms
    		thread=1 tasks=3 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, -0.000, 0.000}, {0.000, 0.000, 0.000, 0.000}}ms
    		thread=2 tasks=3 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, -0.000, 0.000}, {0.000, 0.000, 0.000, 0.000}}ms
    		thread=3 tasks=3 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, -0.000, 0.000}, {0.000, 0.000, 0.000, 0.000}}ms
    	[async=1] threads=4 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [ThreadPool::SetThreadCount][2] workers=0
    [Threading] Main thread CPU affinity mask set: 255
    [f=-000001] [~ScopedOnceTimer][ISound::Init::New] 0ms
    [f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (0.0ms)
    [f=-000001] [Sound] [Sound::UpdateThread][1] cfgMaxSounds=128
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [audio]
    [f=-000001] [Sound] [Sound::InitThread][1]
    [f=-000001] [Sound] [Sound::OpenOpenALDevice] opening default device "OpenAL Soft"
    [f=-000001] [Sound] [Sound::OpenOpenALDevice] device=0591b8b0 context=05759a08
    [f=-000001] [Sound] [Sound::InitThread][4][OpenAL API Info]
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound]   Devices:
    [f=-000001] [Sound]     [Speakers (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Realtek Digital Output(Optical) (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Speakers (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Realtek Digital Output (Realtek High Definition Audio)]
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] #attribs=15
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] {cfg,alc}MaxSounds={128,255}
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound] [Sound::UpdateThread][2]
    [f=-000001] [~ScopedOnceTimer][ISound::Init::Dev] 101ms
    [f=-000001] [StartScript] Loading StartScript from: C:\Users\Rui\AppData\Roaming\springlobby\script.txt
    [f=-000001] [CPreGame] using client IP 91.186.9.239 and port 8456
    [f=-000001] [NetProto::InitClient] connecting to IP 91.186.9.239 on port 8456 using name raaar
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=1
    [f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
    [f=-000001] [~ScopedOnceTimer][FBO::GLContextReinit] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][1] fullScreen=1
    [f=-000001] [GR::UpdateGLConfigs]
    [f=-000001] [GR::UpdateGLGeometry][1] winSize=<1920,1080>
    [f=-000001] [GR::UpdateGLGeometry][2] winSize=<1920,1080>
    [f=-000001] [GR::InitGLState]
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1920x1080x24bpp@60Hz (fullscreen::decorated)
    [f=-000001] [~ScopedOnceTimer][GlobalRendering::UpdateGL] 0ms
    [f=-000001] [~ScopedOnceTimer][ActiveController::ResizeEvent] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][1] fullScreen=1
    [f=-000001] [GR::UpdateGLConfigs]
    [f=-000001] [GR::UpdateGLGeometry][1] winSize=<1920,1080>
    [f=-000001] [GR::UpdateGLGeometry][2] winSize=<1920,1080>
    [f=-000001] [GR::InitGLState]
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1920x1080x24bpp@60Hz (fullscreen::decorated)
    [f=-000001] [~ScopedOnceTimer][GlobalRendering::UpdateGL] 0ms
    [f=-000001] [~ScopedOnceTimer][ActiveController::ResizeEvent] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=1
    [f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
    [f=-000001] [~ScopedOnceTimer][FBO::GLContextReinit] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]
    
    [f=-000001] [PreGame::AddMapArchivesToVFS][server=00000000] using map "Ravaged_v2" (loaded=0 cached=0)
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=0584b0e8>(arName="Ravaged_v2", overwrite=false)] section=1 cached=0
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=0584b0e8>(arName="Map Helper v1", overwrite=false)] section=2 cached=0
    [f=-000001] [PreGame::AddModArchivesToVFS][server=00000000] using game "Metal Factions v1.35" (loaded=0 cached=0)
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=0584b0e8>(arName="Metal Factions v1.35", overwrite=false)] section=0 cached=0
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=0584b0e8>(arName="Spring content v1", overwrite=false)] section=2 cached=0
    [f=-000001] [VFS] [SpringVFS::AddArchive<this=0584b0e8>(arName="Spring Bitmaps", overwrite=false)] section=2 cached=0
    [f=-000001] [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\maphelper.sdz] 34584 bytes cached in 9 files
    [f=-000001] [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\springcontent.sdz] 529034 bytes cached in 181 files
    [f=-000001] [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\spring\bitmaps.sdz] 5947433 bytes cached in 131 files
    [f=-000001] [PreGame::GameDataReceived] recording demo to "C:\Users\Rui\Documents\My Games\Spring\demos\20200517_005405_Ravaged_v2_104.0.1-1486-gf266c81 maintenance.sdfz"
    [f=-000001] [~ScopedOnceTimer][PreGame::GameDataReceived] 197ms
    [f=-000001] [PreGame::UpdateClientNet] received local player number 0 (team 0, allyteam 0), creating LoadScreen
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/systemaddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/systemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [LoadScreen::Init] single-threaded
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [load]
    [f=-000001] [Game::Load][1] globalQuit=0 threaded=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Parsing Map Information"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading SMF"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Map (40 MB)"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading GameData Definitions"
    [f=-000001] [~ScopedOnceTimer][[defs.lua] loading all *Defs tables:] 377ms
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (GameData)] 428ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Radar Icons"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Sound Definitions"
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 7 sounds from gamedata/sounds.lua
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (Sound)] 2ms
    [f=-000001] [Game::Load][2] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Smooth Height Mesh"
    [f=-000001] [~ScopedOnceTimer][SmoothHeightMesh::MakeSmoothMesh] 25ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating QuadField & CEGs"
    [f=-000001] [Init] number of ArmorDefs: 4
    [f=-000001] [RegisterModelFormats] supported (Assimp) model formats: *.3ds;*.blend;*.dae;*.lwo;*.obj;
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Unit Textures"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Sky"
    [f=-000001] [Game::Load][3] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Weapon Definitions"
    [f=-000001] Warning: WeaponDefs: Unknown tag "toairweapon" in "sphere_twilight_aabomb"
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (WeaponDefs)] 379ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Unit Definitions"
    [f=-000001] Warning: [GetCategory] too many unit categories (32), skipping level10
    [f=-000001] Warning: [GetCategory] too many unit categories (33), skipping upgrade_blue
    [f=-000001] Warning: [GetCategory] too many unit categories (34), skipping upgrade_green
    [f=-000001] Warning: [GetCategory] too many unit categories (35), skipping upgrade_red
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (UnitDefs)] 74ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Feature Definitions"
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (FeatureDefs)] 24ms
    [f=-000001] [IPathManager::GetInstance] using HAPFS
    [f=-000001] [LoadScreen::SetLoadMessage] text="Initializing Map Features"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating ShadowHandler"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating InfoTextureHandler"
    [f=-000001] InfoTexture: shaders
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating GroundDrawer"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Map Tiles"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Square Textures"
    [f=-000001] [~ScopedOnceTimer][CSMFGroundTextures::ConvolveHeightMap] 1ms
    [f=-000001] Switching to ROAM Mesh Rendering
    [f=-000001] [TriNodePool::Resize] to 2097152
    [f=-000001] [TriNodePool::InitPools] newPoolSize=2097152 PoolSize=2097152 (shadowPass=0)
    [f=-000001] [TriNodePool::Resize] to 2097152
    [f=-000001] [TriNodePool::InitPools] newPoolSize=2097152 PoolSize=2097152 (shadowPass=1)
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating TreeDrawer"
    [f=-000001] Loaded DecalsDrawer: Legacy
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating ProjectileDrawer & UnitDrawer"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Projectile Textures"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Water"
    [f=-000001] [Game::Load][4] globalQuit=0 forcedQuit=0
    [f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Console)] 17ms
    [f=-000001] [Game::LoadLua] Lua developer mode disabled
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaRules"
    [f=-000001] [~ScopedOnceTimer][creg::AutoRegisterCFunctions(LuaRules)] 54ms
    [f=-000001] Loaded SYNCED gadget:  CobButton           <unit_cobbutton.lua>
    [f=-000001] Loaded SYNCED gadget:  Lua Metal Spot Placer  <lua_metal_spots.lua>
    [f=-000001] Loaded SYNCED gadget:  Metal Extractor Radius Gadget  <unit_mex_radius.lua>
    [f=-000001] 32 metal spots found!
    [f=-000001] 4 geothermal spots found!
    [f=-000001] Loaded SYNCED gadget:  Resource Spot Tracker  <resource_spot_tracker.lua>
    [f=-000001] Loaded SYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded SYNCED gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded SYNCED gadget:  Base Income         <base_income.lua>
    [f=-000001] Loaded SYNCED gadget:  Commander Handler   <commanders.lua>
    [f=-000001] Loaded SYNCED gadget:  DirectControl       <unit_direct_control.lua>
    [f=-000001] Loaded SYNCED gadget:  Disable Buildoptions  <unit_disable_buildoptions.lua>
    [f=-000001] Loaded SYNCED gadget:  Drone Handler       <unit_drones.lua>
    [f=-000001] Loaded SYNCED gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=-000001] Loaded SYNCED gadget:  Feature Enlarger    <feature_enlarger.lua>
    [f=-000001] Loaded SYNCED gadget:  Game End            <game_end.lua>
    [f=-000001] Loaded SYNCED gadget:  Handles damage mitigation and shield related stuff  <unit_shields_damage.lua>
    [f=-000001] Loaded SYNCED gadget:  Map speed modifier disabler  <map_terrain_type_override.lua>
    [f=-000001] Loaded SYNCED gadget:  Projectile Handler Gadget  <projectile_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Shield Sharing      <unit_shield_sharing.lua>
    [f=-000001] Loaded SYNCED gadget:  Surrenderer         <surrender.lua>
    [f=-000001] Loaded SYNCED gadget:  Upgrade Handler     <upgrades.lua>
    [f=-000001] Loaded SYNCED gadget:  Walls               <unit_walls.lua>
    [f=-000001] Loaded SYNCED gadget:  Wind Generator Gadget  <unit_wind_generators.lua>
    [f=-000001] Loaded SYNCED gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=-000001] Loaded SYNCED gadget:  Area Buff Handler   <unit_area_buff_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Physics Handler     <unit_physics_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=-000001] Loaded SYNCED gadget:  Weapon Aim Handler Gadget  <unit_weapon_aim_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Cob Call Handler    <unit_cob_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Rocket Platform Pad Selector  <unit_rocket_platforms.lua>
    [f=-000001] Loaded SYNCED gadget:  UnitEStallDisable   <unit_estall_disable.lua>
    [f=-000001] Loaded SYNCED gadget:  Area Attack         <areaattack.lua>
    [f=-000001] Loaded SYNCED gadget:  Attack Safety distance setter  <unit_atk_safety_distance.lua>
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 2 sounds from LuaRules/Configs/sound_defs.lua
    [f=-000001] Loaded SYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=-000001] Loaded SYNCED gadget:  Unit Build Priority Handler  <unit_build_priority.lua>
    [f=-000001] Loaded SYNCED gadget:  Unit Hit-n-Run Handler  <unit_hit_run.lua>
    [f=-000001] Loaded SYNCED gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded SYNCED gadget:  Ground decal removal  <unit_water_remove_decal.lua>
    [f=-000001] Loaded SYNCED gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded SYNCED gadget:  Weapon Reaim Time   <weapon_reaim_time.lua>
    [f=-000001] [Sound] Warning: [LoadSoundDefsImpl] sound LuaRules/Configs/sound_defs.lua overwrites featurecrush
    [f=-000001] [Sound] Warning: [LoadSoundDefsImpl] sound LuaRules/Configs/sound_defs.lua overwrites genericcmd
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 2 sounds from LuaRules/Configs/sound_defs.lua
    [f=-000001] Loaded SYNCED gadget:  Metal Extractor Handler Gadget  <unit_mex_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Engine compatibility  <engine_compatibility.lua>
    [f=-000001] Loaded SYNCED gadget:  MFAI                <ailoader.lua>
    [f=-000001] Loaded SYNCED gadget:  Spawn               <game_start.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Metal Extractor Radius Gadget  <unit_mex_radius.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Resource Spot Tracker  <resource_spot_tracker.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Base Income         <base_income.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Drone Handler       <unit_drones.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Feature Enlarger    <feature_enlarger.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Handles damage mitigation and shield related stuff  <unit_shields_damage.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Shield Sharing      <unit_shield_sharing.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Walls               <unit_walls.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Wind Generator Gadget  <unit_wind_generators.lua>
    [f=-000001] Loaded UNSYNCED gadget:  lua_metal_spots.lua  <lua_metal_spots.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Area Buff Handler   <unit_area_buff_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Physics Handler     <unit_physics_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Cob Call Handler    <unit_cob_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Rocket Platform Pad Selector  <unit_rocket_platforms.lua>
    [f=-000001] Loaded UNSYNCED gadget:  UnitEStallDisable   <unit_estall_disable.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Area Attack         <areaattack.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Attack Safety distance setter  <unit_atk_safety_distance.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Ground decal removal  <unit_water_remove_decal.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Metal Extractor Handler Gadget  <unit_mex_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lups                <lups_wrapper.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Engine compatibility  <engine_compatibility.lua>
    [f=-000001] Loaded UNSYNCED gadget:  MFAI                <ailoader.lua>
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaGaia"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaUI"
    [f=-000001] LuaUI Entry Point: "luaui.lua"
    [f=-000001] LuaSocket Support: enabled
    [f=-000001] Using LUAUI_DIRNAME = LuaUI/
    [f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=-000001] LuaUI: bound F11 to the widget selector
    [f=-000001] LuaUI: bound CTRL+F11 to tweak mode
    [f=-000001] Loaded local team color config.
    [f=-000001] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=-000001] small digital clock is disabled!
    [f=-000001] frames-per-second indicator is disabled!
    [f=-000001] simulation speed indicator is disabled!
    [f=-000001] Set UnitIconDist to 120
    [f=-000001] GroundDetail set to 140
    [f=-000001] Hardware mouse-cursor is enabled!
    [f=-000001] [Sound] Warning: [LoadSoundDefsImpl] sound LuaRules/Configs/sound_defs.lua overwrites featurecrush
    [f=-000001] [Sound] Warning: [LoadSoundDefsImpl] sound LuaRules/Configs/sound_defs.lua overwrites genericcmd
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 2 sounds from LuaRules/Configs/sound_defs.lua
    [f=-000001] LuaUI v0.3
    [f=-000001] [Game::Load][5] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="[LoadFinalize] finalizing PFS"
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] BLOCK_SIZE=16
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] PATHESTIMATOR_VERSION=100
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] heightMapChecksum=81bc3ac
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] typeMapChecksum=6f4607e9
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] moveDefChecksum=a1d916f1
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] blockMapChecksum=dacb5a16
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] estimatorHashCode=f4063d10
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=f4063d10 file="cache\104dev-maintenance/paths/Ravaged_v2.pe-f4063d10.zip" (exists=1)
    [f=-000001] [LoadScreen::SetLoadMessage] text="Reading Estimate PathCosts [16]"
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] BLOCK_SIZE=32
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] PATHESTIMATOR_VERSION=100
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] heightMapChecksum=81bc3ac
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] typeMapChecksum=6f4607e9
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] moveDefChecksum=a1d916f1
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] blockMapChecksum=dacb5a16
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] estimatorHashCode=f4063d20
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=f4063d20 file="cache\104dev-maintenance/paths/Ravaged_v2.pe2-f4063d20.zip" (exists=1)
    [f=-000001] [LoadScreen::SetLoadMessage] text="Reading Estimate PathCosts [32]"
    [f=-000001] [LoadScreen::SetLoadMessage] text="[LoadFinalize] finalized PFS (214ms, checksum dab72780)"
    [f=-000001] [Game::Load][6] globalQuit=0 forcedQuit=0
    [f=-000001] [LuaMemPool::LogStats][handle=LuaIntro (unsynced)] index=1 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,19814,0} {chunk,block}Bytes={0,0}
    [f=-000001] view resized from 1920*1080 to 1920*1080 edown=false eleft=false
    [f=-000001] GameID: 187dc05e1795554d9872b91a516abf85
    [f=-000001] Connection attempt from Shruggoth
    [f=-000001]  -> Version: 104.0.1-1486-gf266c81 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 3)
    [f=-000001] Connection attempt from ddaannnggeerr
    [f=-000001]  -> Version: 104.0.1-1486-gf266c81 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 2)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[PreGame::GameDataReceived][map-checksums]
    	server=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb
    	client=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[PreGame::GameDataReceived][map-checksums]
    	server=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb
    	client=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] Connection attempt from i76700HQ
    [f=-000001]  -> Version: 104.0.1-1486-gf266c81 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 1)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[PreGame::GameDataReceived][map-checksums]
    	server=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb
    	client=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] Connection attempt from raaar
    [f=-000001]  -> Version: 104.0.1-1486-gf266c81 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 0)
    [f=-000001] Connection attempt from lmao_who_netMan
    [f=-000001]  -> Version: 104.0.1-1486-gf266c81 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 4)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PreGame::GameDataReceived][map-checksums]
    	server=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb
    	client=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[PreGame::GameDataReceived][map-checksums]
    	server=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb
    	client=06c773431b240bec75cb59a118ee1eadfe4d2d1c628ae86f13b6dd6d33b535f1ed80cdf77a1d5547b7cdea05ecf3c0f9c11d5368b46f630158f1a97881d2bcfb"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[PreGame::GameDataReceived][mod-checksums]
    	server=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce
    	client=541b52fb822f35581e7f25482085dbaf20b84b1dfc3bebbb073bc298e57007e185c1a5cf9c3e22569062fcf4454c4df778ef892db04843203a2acf24e67abbce"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=f56f1c2df6d81bfeda4db96d1ef908178938f0e9cf6afc536bce17078ebeaac9e05c807d1a106ade818456a581714acefb1906b502e88753ad7a43d9a24fde35]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=e5480b5395ca4f37f12a6a25d473f9ab8c40a28826558f60fc1dc47652aa3bcc2b9be136e65b4e8ab505243ea1c65b6f339665238895698b6bfb79a8e7b91089]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Shruggoth" string="[Game::Load][lua{Rules,Gaia}={333dbc18,00000000}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=f56f1c2df6d81bfeda4db96d1ef908178938f0e9cf6afc536bce17078ebeaac9e05c807d1a106ade818456a581714acefb1906b502e88753ad7a43d9a24fde35]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=e5480b5395ca4f37f12a6a25d473f9ab8c40a28826558f60fc1dc47652aa3bcc2b9be136e65b4e8ab505243ea1c65b6f339665238895698b6bfb79a8e7b91089]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="i76700HQ" string="[Game::Load][lua{Rules,Gaia}={39e01ab8,00000000}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=f56f1c2df6d81bfeda4db96d1ef908178938f0e9cf6afc536bce17078ebeaac9e05c807d1a106ade818456a581714acefb1906b502e88753ad7a43d9a24fde35]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=e5480b5395ca4f37f12a6a25d473f9ab8c40a28826558f60fc1dc47652aa3bcc2b9be136e65b4e8ab505243ea1c65b6f339665238895698b6bfb79a8e7b91089]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[Game::Load][lua{Rules,Gaia}={318a4578,00000000}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=f56f1c2df6d81bfeda4db96d1ef908178938f0e9cf6afc536bce17078ebeaac9e05c807d1a106ade818456a581714acefb1906b502e88753ad7a43d9a24fde35]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=e5480b5395ca4f37f12a6a25d473f9ab8c40a28826558f60fc1dc47652aa3bcc2b9be136e65b4e8ab505243ea1c65b6f339665238895698b6bfb79a8e7b91089]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="ddaannnggeerr" string="[Game::Load][lua{Rules,Gaia}={38019dd0,00000000}]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=f56f1c2df6d81bfeda4db96d1ef908178938f0e9cf6afc536bce17078ebeaac9e05c807d1a106ade818456a581714acefb1906b502e88753ad7a43d9a24fde35]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=e5480b5395ca4f37f12a6a25d473f9ab8c40a28826558f60fc1dc47652aa3bcc2b9be136e65b4e8ab505243ea1c65b6f339665238895698b6bfb79a8e7b91089]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="lmao_who_netMan" string="[Game::Load][lua{Rules,Gaia}={32a5a4b8,00000000}]"
    [f=-000001] > nebula3 * Auto-forcing game start (only already in-game or unsynced spectators are missing)
    [f=0000074] <i76700HQ> ok
    [f=0000096] [lmao_who_netMan] nice map
    [f=0000171] <i76700HQ> you want honors
    [f=0000212] <i76700HQ> or me?
    [f=0000337] [Shruggoth] smh
    [f=0000355] <raaar> you type it
    [f=0000444] Error: 	[ProcessRawPacket] discarding incoming invalid packet: ID 48, LEN -2
    [f=0000444] Error: 	[ProcessRawPacket] discarding incoming invalid packet: ID 101, LEN -2
    [f=0000444] Error: 	[ProcessRawPacket] discarding incoming invalid packet: ID 88, LEN -2
    [f=0000450] Error: [Game::ClientReadNet][NETMSG_CHAT] exception "Unpack failure (string)"
    [f=0000450] Press <none> to access the quit menu
    [f=0000450] Press <none> to access the quit menu
    [f=0000450] [QuitBox] user exited to system
    [f=0000450] [SpringApp::Kill][1] fromRun=1
    [f=0000450] [ThreadPool::SetThreadCount][1] wanted=0 current=1 maximum=4 (init=1)
    [f=0000450] 	[async=0] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=0000450] 	[async=1] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=0000450] [ThreadPool::SetThreadCount][2] workers=0
    [f=0000450] [SpringApp::Kill][2]
    [f=0000450] [Game::KillLua][0] dtor=0 loadscreen=00000000
    [f=0000450] [Game::KillLua][3] dtor=0 luaUI=363fc428
    [f=0000450] Red_UI_Framework>> last processed widget was "Red Build/Order Menu"
    [f=0000450] Red_Drawing>> last processed widget was "Red Build/Order Menu"
    [f=0000450] Reloaded cmdcolors from file: cmdcolors.tmp
    [f=0000450] [LuaMemPool::LogStats][handle=LuaUI (unsynced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,2147084,0} {chunk,block}Bytes={0,0}
    [f=0000450] [Game::KillLua][1] dtor=0 luaGaia=00000000
    [f=0000450] [Game::KillLua][2] dtor=0 luaRules=318a4578
    [f=0000450] [LuaMemPool::LogStats][handle=LuaRules (unsynced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,2147100,0} {chunk,block}Bytes={0,0}
    [f=0000450] [LuaMemPool::LogStats][handle=LuaRules (synced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,2147100,0} {chunk,block}Bytes={0,0}
    [f=0000450] [Game::KillLua][4] dtor=0
    [f=0000450] [DemoRecorder::WriteDemoFile] writing client-demo "C:\Users\Rui\Documents\My Games\Spring\demos\20200517_005405_Ravaged_v2_104.0.1-1486-gf266c81 maintenance.sdfz" (19967 bytes)
    [f=0000450] [Sound] [Sound::Kill] soundThread.joinable()=1
    [f=0000450] [WatchDog::DeregisterThread] deregistering controls for thread [audio]
    [f=0000450] [Sound] [Sound::UpdateThread][3] #sources=128 #items=16
    [f=0000450] [Sound] [Sound::UpdateThread][4] ctx=05759a08 dev=0591b8b0
    [f=0000450] [Sound] [Sound::UpdateThread][5] ctx=05759a08 dev=0591b8b0
    [f=0000450] [Sound] [Sound::Cleanup][alcDestroyContext(05759a08)]
    [f=0000450] [Sound] [Sound::Cleanup][alcCloseDevice(0591b8b0)]
    [f=0000450] [Sound] [Sound::UpdateThread][6]
    [f=0000450] [Game::~CGame][1]
    [f=0000450] [Game::KillLua][0] dtor=1 loadscreen=00000000
    [f=0000450] [Game::KillLua][3] dtor=1 luaUI=00000000
    [f=0000450] [Game::KillLua][1] dtor=1 luaGaia=00000000
    [f=0000450] [Game::KillLua][2] dtor=1 luaRules=00000000
    [f=0000450] [Game::KillLua][4] dtor=1
    [f=0000450] [Game::KillMisc][1]
    [f=0000450] [Game::KillMisc][2]
    [f=0000450] [Game::KillMisc][3]
    [f=0000450] [Game::KillRendering][1]
    [f=0000450] [~CRectangleOverlapHandler] 0% overlap reduction
    [f=0000450] [3DOParser::Kill] allocated 68 pieces
    [f=0000450] [S3OParser::Kill] allocated 44 pieces
    [f=0000450] [AssParser::Kill] allocated 0 pieces
    [f=0000450] [Game::KillInterface][1]
    [f=0000450] [Game::KillInterface][2]
    [f=0000450] [Game::KillSimulation][1]
    [f=0000450] [Game::KillSimulation][2]
    [f=0000450] [CCollisionHandler] dis-/continuous tests: 0/365451
    [f=0000450] [Game::KillSimulation][3]
    [f=0000450] [~CPathCache(20x20)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000450] [~CPathCache(20x20)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000450] [~CPathCache(40x40)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000450] [~CPathCache(40x40)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=201
    [f=0000450] [~CRectangleOverlapHandler] 0% overlap reduction
    [f=0000450] [~CRectangleOverlapHandler] 0% overlap reduction
    [f=0000450] [LosHandler::Kill] raycast instance cache-{hits,misses}={1,12}; shared=0%; cached=8%
    [f=0000450] [Game::KillSimulation][4]
    [f=0000450] [CommonDefHandler::KillStatic] 4065 sound-set data items added
    [f=0000450] [Game::~CGame][2]
    [f=0000450] [Game::~CGame][3]
    [f=0000450] [SpringApp::Kill][3]
    [f=0000450] [NetProto::~CNetProtocol] [UDPConnection::Statistics]
    	11951 bytes sent   in 514 packets (23.251 bytes/packet)
    	20677 bytes recv'd in 497 packets (41.604 bytes/packet)
    	{0.291x, 0.144x} relative protocol overhead {up, down}
    	5 incoming chunks dropped, 2 outgoing chunks resent
    	408 incoming chunks processed
    
    [f=0000450] [SpringApp::Kill][4] font=056f3f90
    [f=0000450] [SpringApp::Kill][5]
    [f=0000450] [SpringApp::Kill][6]
    [SpringApp::Kill][7]
    [LuaSocket] [~CLuaSocketRestrictions] dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_CONNECT DENY  91.186.9.239 8456
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>]
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=0)] #archives[section]=1 #files[section]=5446
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\packages\c78761c8a43ab3823a6a184f9795649b.sdp (05a9e420)
    [~CPoolArchive] archiveFile="C:\Users\Rui\Documents\My Games\Spring\packages\c78761c8a43ab3823a6a184f9795649b.sdp" numZipFiles=5446 sumInflSize=92424kb sumReadTime=283ms
    	file="unitpics/sphere_tidal_generator.png" indx=4341 inflSize=15kb readTime=30ms
    	file="objects3d/sphere_metal_extractor.3do" indx=1871 inflSize=20kb readTime=15ms
    	file="luaui/images/vr_grid_large_dark.dds" indx=601 inflSize=2048kb readTime=4ms
    	file="units/sphere_adv_vehicle_factory.fbi" indx=4771 inflSize=1kb readTime=2ms
    	file="bitmaps/loadpictures/loadscreen1.jpg" indx=186 inflSize=218kb readTime=2ms
    	file="unittextures/tatex/camoc0200.tga" indx=5046 inflSize=1kb readTime=1ms
    	file="units/sphere_aircraft_factory.fbi" indx=4775 inflSize=1kb readTime=1ms
    	file="icons/fsphereheavyfs.tga" indx=300 inflSize=64kb readTime=1ms
    	file="units/claw_dynamo.fbi" indx=4546 inflSize=3kb readTime=1ms
    	file="sounds/beep4.wav" indx=3233 inflSize=1kb readTime=1ms
    [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\packages\c78761c8a43ab3823a6a184f9795649b.sdp] 19641476 bytes cached in 1605 files
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=1)] #archives[section]=1 #files[section]=121
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\maps\ravaged_v2.sd7 (05aa15e8)
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=2)] #archives[section]=3 #files[section]=319
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\springcontent.sdz (058c6850)
    [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\springcontent.sdz] 285348 bytes cached in 98 files
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\maphelper.sdz (058c5b50)
    [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\maphelper.sdz] 14008 bytes cached in 3 files
    [VFS] 	archive=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\spring\bitmaps.sdz (058c5e90)
    [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1486-gf266c81 maintenance\base\spring\bitmaps.sdz] 2587385 bytes cached in 63 files
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=3)] #archives[section]=0 #files[section]=0
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=4)] #archives[section]=0 #files[section]=130
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=5)] #archives[section]=0 #files[section]=0
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=6)] #archives[section]=0 #files[section]=0
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=7)] #archives[section]=0 #files[section]=0
    [VFS] [SpringVFS::DeleteArchives<this=0584b0e8>(section=8)] #archives[section]=0 #files[section]=0
    [SpringApp::Kill][8]
    [WatchDog::DeregisterThread] deregistering controls for thread [main]
    [WatchDog::Uninstall][1] hangDetectorThread=0157910c (joinable=0)
    [SpringApp::Kill][9]
    
    txt file icon infolog_sp_1486_maintenance_msg_freeze_crash-2.txt (44,865 bytes) 2020-05-17 02:00 +
  • zip file icon rep_engine_1486_luaui_disable.zip (20,080 bytes) 2020-05-17 02:09

-Relationships
+Relationships

-Notes

~0020408

raaar (reporter)

typing this message on single player games does nothing apparently. no crash.

~0020409

raaar (reporter)

we tried on a techA server and it didn't crash. They're using spring 1474.

I'll try the same build ZK is using.

~0020410

raaar (reporter)

we've changed the MF server to "1486-gf266c81_maintenance" (same as ZK) and the crash still happens (attached infolog)

this shows up on infolog:
[f=0000171] <i76700HQ> you want honors
[f=0000212] <i76700HQ> or me?
[f=0000337] [Shruggoth] smh
[f=0000355] <raaar> you type it
[f=0000444] Error: [ProcessRawPacket] discarding incoming invalid packet: ID 48, LEN -2
[f=0000444] Error: [ProcessRawPacket] discarding incoming invalid packet: ID 101, LEN -2
[f=0000444] Error: [ProcessRawPacket] discarding incoming invalid packet: ID 88, LEN -2
[f=0000450] Error: [Game::ClientReadNet][NETMSG_CHAT] exception "Unpack failure (string)"

~0020411

raaar (reporter)

(infolog for the previous message)

~0020412

raaar (reporter)

note that on that crash I had the message separator widget on my game disabled. not sure if relevant.

~0020413

raaar (reporter)

another test which also crashed on build 1486, despite using "/luaui disable"

zip file with replay and infolog attached

~0020428

Google_Frog (reporter)

As far as I'm aware lobby messages are implemented by autohosts.

~0020429

raaar (reporter)

indeed, I'm using spads and if I disable msg forwarding from lobby to game using

!forwardLobbyToGame 0

the messages will no longer trigger the crash.

~0020430

Anonymous (viewer)

Fix 699c8a2d0bad01a995a54ba9f7a224d65a572988 committed to develop branch: fix 0006395, repo: spring changeset id: 37866

~0020436

Anonymous (viewer)

Fix 4ae2dbaa66813c0aa186b1c14fadbffd309666e5 committed to maintenance branch: fix 0006395, repo: spring changeset id: 37867
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2020-05-17 01:07 raaar New Issue
2020-05-17 01:07 raaar File Added: 20200516_235949_Highway 95 v5_104.0.1-1464-g4f428c8 maintenance.sdfz
2020-05-17 01:15 raaar File Added: infolog_sp_1464_maintenance_msg_freeze_crash.txt
2020-05-17 01:15 raaar Note Added: 0020408
2020-05-17 01:40 raaar Note Added: 0020409
2020-05-17 01:59 raaar Note Added: 0020410
2020-05-17 01:59 raaar File Added: infolog_sp_1486_maintenance_msg_freeze_crash.txt
2020-05-17 02:00 raaar File Added: infolog_sp_1486_maintenance_msg_freeze_crash-2.txt
2020-05-17 02:00 raaar Note Added: 0020411
2020-05-17 02:00 raaar Note Added: 0020412
2020-05-17 02:09 raaar File Added: rep_engine_1486_luaui_disable.zip
2020-05-17 02:09 raaar Note Added: 0020413
2020-06-21 03:33 Google_Frog Note Added: 0020428
2020-07-02 05:31 raaar Note Added: 0020429
2020-07-02 23:30 Changeset attached => spring develop 699c8a2d
2020-07-02 23:30 Anonymous Note Added: 0020430
2020-07-02 23:30 Changeset attached => spring maintenance 4ae2dbaa
2020-07-02 23:30 Anonymous Note Added: 0020436
2020-07-03 16:50 abma Assigned To => Kloot
2020-07-03 16:50 abma Status new => resolved
2020-07-03 16:50 abma Resolution open => fixed
+Issue History